<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>

<?php if($variables['process_status']):?>
<script type="text/javascript">

  jQuery(document).ready(function ($) {

    var ajaxurl = '<?php echo $variables['ajax_url']?>';
    let ajax_execute = () => {
      jQuery.post(ajaxurl, {

        action: 'wtotem_ajax',
        ajax_action: 'agents_installation',

      }, function (response) {

        var data = JSON.parse(response);
        if (data.agents_statuses) {
          clearInterval(wtotem_check_agents_status);
        }
        jQuery('#wtotem_agents_wrap').html(data.agents);
        jQuery('#wtotem_notifications').html(data.notifications);
      });
    };

    /* run the check every 10 seconds */
    let wtotem_check_agents_status = setInterval(() => ajax_execute(), 10000);

    /* stop check after 30 min */
    setTimeout(() => {
      clearInterval(wtotem_check_agents_status);
    }, 1800000);

  });

</script>

<div class="wtotem_unit">
    <div class="wtotem_unit__first section-header-mb">
        <h2 class="h2 title">
            <?php echo \JText::_('WTOTEM_AM_INSTALLATION'); ?>
        </h2>
    </div>

    <div class="wtotem_unit__wrapper wt_card" id="wtotem_agents_wrap">
	    <?php include 'agents_installation.php'?>
    </div>
</div>
<?php endif; ?>
