<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;

?>

<?php if ($variables['process_status']['am'] == 'failed'): ?>
    <div class="wtotem_unit__block">
        <div class="wtotem_unit__contain">
            <div class="wtotem_unit__circle wtotem_unit__circle_error"></div>
            <h2 class="h2 title">
	            <?php echo \JText::_('WTOTEM_FAILED_TO_INSTALL_AM'); ?>
            </h2>
        </div>
        <div class="wtotem_unit__expectation wtotem_unit__expectation_error">
            <a class="wtotem_button wtotem_button--primary wtotem-font-700 wtotem_block_center" id="reinstall_agents">
                <span><?php echo \JText::_('WTOTEM_INSTALL'); ?></span>
            </a>
        </div>
    </div>

    <script type="text/javascript">
      jQuery(document).ready(function ($) {
        var ajaxurl = '<?php echo $variables['ajax_url']?>';
        jQuery('#reinstall_agents').on('click', function (e) {
          jQuery.post(
            ajaxurl,
            {
              ajax_action: 'reinstall_agents',
            }, function (response) {

              var data = JSON.parse(response);
              window.open(data.redirect_link, '_self');
            }
          );
        });
      });
    </script>

<?php else: ?>

	<?php if ($variables['process_status']['av'] == 'installed'): ?>
        <div class="wtotem_unit__block wtotem_unit__block_antivirus">
            <div class="wtotem_unit__contain">
                <div class="wtotem_unit__circle wtotem_unit__circle_success">
                    <img src="<?php echo $variables['images_path'] ?>success.svg" alt="Success" class="wtotem_unit__img">
                </div>
                <h2 class="h2 title">
                    <?php echo \JText::_('WTOTEM_ANTIVIRUS'); ?>
                </h2>
            </div>
            <div class="wtotem_unit__expectation wtotem_unit__expectation_success">
                <?php echo \JText::_('WTOTEM_INSTALLED'); ?>
            </div>
        </div>
	<?php endif; ?>

	<?php if ($variables['process_status']['av'] == 'installing'): ?>
        <div class="wtotem_unit__block wtotem_unit__block_antivirus">
            <div class="wtotem_unit__contain">
                <div class="wtotem_unit__expectation wtotem_unit__circle_loading">
                    <img src="<?php echo $variables['images_path'] ?>spinner.svg" alt="Spinner"
                         class="wtotem_unit__img wtotem_unit__img_spinner"/>
                </div>
                <h2 class="h2 title wtotem-ml-20">
                    <?php echo \JText::_('WTOTEM_ANTIVIRUS'); ?>
                </h2>
            </div>
            <div class="wtotem_unit__expectation wtotem_unit__expectation_loading">
                <?php echo \JText::_('WTOTEM_INSTALLING'); ?>...
            </div>
        </div>
	<?php endif; ?>

	<?php if ($variables['process_status']['av'] == 'failed'): ?>
        <div class="wtotem_unit__block wtotem_unit__block_antivirus">
            <div class="wtotem_unit__contain">
                <div class="wtotem_unit__circle wtotem_unit__circle_error"></div>
                <h2 class="h2 title">
                    <?php echo \JText::_('WTOTEM_ANTIVIRUS'); ?>
                </h2>
            </div>
            <div class="wtotem_unit__expectation wtotem_unit__expectation_error">
                <?php echo \JText::_('WTOTEM_FAILED_TO_INSTALL'); ?>
            </div>
        </div>
	<?php endif; ?>

	<?php if ($variables['process_status']['waf'] == 'installed'): ?>
        <div class="wtotem_unit__block wtotem_unit__block_firewall">
            <div class="wtotem_unit__contain">
                <div class="wtotem_unit__circle wtotem_unit__circle_success">
                    <img src="<?php echo $variables['images_path'] ?>success.svg" alt="Success"
                         class="wtotem_unit__img">
                </div>
                <h2 class="h2 title">
                    <?php echo \JText::_('WTOTEM_FIREWALL'); ?>
                </h2>
            </div>
            <div class="wtotem_unit__expectation wtotem_unit__expectation_success">
                <?php echo \JText::_('WTOTEM_INSTALLED'); ?>
            </div>
        </div>
	<?php endif; ?>

	<?php if ($variables['process_status']['waf'] == 'installing'): ?>
        <div class="wtotem_unit__block wtotem_unit__block_firewall">
            <div class="wtotem_unit__contain">
                <div class="wtotem_unit__expectation wtotem_unit__circle_loading">
                    <img src="<?php echo $variables['images_path'] ?>spinner.svg" alt="Spinner"
                         class="wtotem_unit__img wtotem_unit__img_spinner"/>
                </div>
                <h2 class="h2 title wtotem-ml-20">
                   <?php echo \JText::_('WTOTEM_FIREWALL'); ?>
                </h2>
            </div>
            <div class="wtotem_unit__expectation wtotem_unit__expectation_loading">
                <?php echo \JText::_('WTOTEM_INSTALLING'); ?>...
            </div>
        </div>
	<?php endif; ?>

	<?php if ($variables['process_status']['waf'] == 'failed'): ?>
        <div class="wtotem_unit__block wtotem_unit__block_firewall">
            <div class="wtotem_unit__contain">
                <div class="wtotem_unit__circle wtotem_unit__circle_error"></div>
                <h2 class="h2 title">
                    <?php echo \JText::_('WTOTEM_FIREWALL'); ?>
                </h2>
            </div>
            <div class="wtotem_unit__expectation wtotem_unit__expectation_error">
                <?php echo \JText::_('WTOTEM_FAILED_TO_INSTALL_AM'); ?>
            </div>
        </div>
	<?php endif; ?>

<?php endif; ?>
