<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>

<?php if($variables['list']):?>
    <table class="firewall-configuration__ip-list firewall-ip-table">
        <thead>
        <tr>
            <th class="firewall-ip-table__th"><?php echo \JText::_('WTOTEM_IP_ADDRESS') ?></th>
            <th class="firewall-ip-table__th"><?php echo \JText::_('WTOTEM_DATE_ADDED') ?></th>
            <th class="firewall-ip-table__th"><?php echo \JText::_('WTOTEM_ACTIONS') ?></th>
        </tr>
        </thead>
        <tbody>
        <?php foreach($variables['list'] as $item): ?>
            <tr class="firewall-ip-table__tr">
                <td class="firewall-ip-table__td"><?php echo $item['ip'] ?></td>
                <td class="firewall-ip-table__td"><?php echo $item['created_at'] ?></td>
                <td class="firewall-ip-table__td">
                    <div data-id="<?php echo $item['id'] ?>"
                         data-action="<?php echo $item['list_name'] ?>"
                         data-wrap="#wtotem_<?php echo $item['list_name'] ?>_list"
                         class="wtotem_remove_address firewall-ip-table__remove">
	                    <?php echo \JText::_('WTOTEM_REMOVE') ?>
                    </div>
                </td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table>
<?php else: ?>
    <div class="wtotem-firewall-settings__no-data">
        <div class="wtotem-firewall-settings__no-data-icon">
            <img src="<?php echo $variables['images_path'] ?>list.svg">
        </div>
        <div>
	        <?php echo \JText::_('WTOTEM_NO_IP_ADDRESS_HERE') ?>
        </div>
    </div>
<?php endif; ?>
