<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">

  jQuery(document).ready(function ($) {
    var ajaxurl = '<?php echo $variables['ajax_url']?>';
    jQuery('.wtotem_body').on('click', '#av_load_more', function (e) {

      jQuery('#av_logs_wrap').addClass('wtotem_loader_spinner');
      jQuery.post(ajaxurl, {
        ajax_action: 'lazy_load',
        service: 'antivirus',
      }, function (response) {

        var data = JSON.parse(response);
        jQuery('#av_logs_wrap')
          .removeClass('wtotem_loader_spinner')
          .append(data.content);

        if (!data.has_next_page) {
          jQuery('#av_load_more').remove();
        }

        jQuery('#wtotem_notifications').html(data.notifications);
      });
    });

    let quarantine_ajax = (action, id_or_path) => {

      jQuery('#av_logs_wrap').addClass('wtotem_loader_spinner');
      jQuery.post(ajaxurl, {
        ajax_action: 'quarantine',
        quarantine_action: action,
        id_or_path: id_or_path,
      }, function (response) {

        var data = JSON.parse(response);

        jQuery('#wtotem_notifications').html(data.notifications);

        jQuery('#av_logs_wrap')
          .html(data.antivirus_logs)
          .removeClass('wtotem_loader_spinner');
        jQuery('#wtotem_quarantine_wrap').html(data.quarantine);
        if (data.has_next_page) {
          jQuery('#wtotem_more_btn_wrap').html(
            '<div class="wtotem_more_btn" id="av_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>'
          );
        } else {
          jQuery('#av_load_more').remove();
        }
      });
    };

    jQuery('.wtotem_body').on('click', '.add-to-quarantine', function (e) {
      quarantine_ajax('add', jQuery(this).data('path'));
    }).on('click', '.remove-from-quarantine', function (e) {
      quarantine_ajax('remove', jQuery(this).data('id'));
    });

  });

</script>

<div class="wtotem_last_scan_av wt_card">
	<?php echo \JText::_('WTOTEM_LAST_SCAN') ?> <span id="wtotem_last_scan_av"><?php echo $variables['last_scan'] ?></span>
</div>
<div class="wtotem_file-table wt_card">
    <div class="wtotem_file-table__thead <?php if( empty($variables['logs']) ) :?> visually-hidden <?php endif; ?>">
        <div class="wtotem_file-table__tr">
            <div class="wtotem_file-table__th">
							<?php echo \JText::_('WTOTEM_FILE') ?>
            </div>
            <div class="wtotem_file-table__th">
							<?php echo \JText::_('WTOTEM_PERMISSION') ?>
                <div class="wtotem_title-info__info wtotem-tooltip">
                    <div class="wtotem-tooltip__content">
                        <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_PERMISSION') ?></p>
                        <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_SHOWS_PERMISSIONS') ?></p>
                    </div>
                </div>
            </div>
            <div class="wtotem_file-table__th">
							<?php echo \JText::_('WTOTEM_TIME') ?>
            </div>
            <div class="wtotem_file-table__th">
							<?php echo \JText::_('WTOTEM_STATUS') ?>
            </div>
            <div class="wtotem_file-table__th" style="text-align: center;">
							<?php echo \JText::_('WTOTEM_ACTIONS') ?>
            </div>
        </div>
    </div>
    <div class="wtotem_file-table__tbody" id="av_logs_wrap">
	    <?php include 'antivirus_logs.php'?>
    </div>

    <div class="wtotem_more_btn_wrap">
	    <?php if($variables['has_next_page']):?>
        <div class="wtotem_more_btn" id="av_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>
        <?php endif; ?>
    </div>
</div>

<div class="wtotem_state__line"></div>

<div class="wtotem_state__last">
    <div class="wtotem_state__text">
			<?php echo \JText::_('WTOTEM_NEED_MORE_SUPPORT') ?>
        <a target="_blank" href="https://wtotem.com/#hs-chat-open"><?php echo \JText::_('WTOTEM_LETS_TALK') ?></a>
    </div>
</div>
