<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>

<script type="text/javascript">

  jQuery(document).ready(function ($) {

    var ajaxurl = '<?php echo $variables['ajax_url']?>';
    let av_ajax_execute = (action) => {

      jQuery.post(ajaxurl, {
        ajax_action: 'antivirus',
        av_action: action,
        file_status: jQuery('#wtotem_av_state_filter').val(),
        permission: jQuery('#wtotem_permission-changed').is(':checked'),
      }, function (response) {

        var data = JSON.parse(response);

        jQuery('#wtotem_notifications').html(data.notifications);
        if (data.last_scan) {
          jQuery('.wtotem_antivirus-logs__button--rescan').removeClass('active');
          jQuery('#wtotem_last_scan_av').html(data.last_scan);
        }
        if (data.doc_link) {
          window.open(data.doc_link, '_blank');
        }

        if (data.logs) {
          jQuery('#av_logs_wrap')
            .html(data.logs)
            .removeClass('wtotem_loader_spinner');

          if (data.has_next_page) {
            jQuery('.wtotem_more_btn_wrap').html(
              '<div class="wtotem_more_btn" id="av_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>'
            );
          } else {
            jQuery('#av_load_more').remove();
          }
        }
      });
    };

    jQuery('.wtotem_body').on('click', '#wtotem_av_export', function (e) {
      av_ajax_execute('download_report')
    }).on('click', '#wtotem_rescan', function (e) {
      av_ajax_execute('rescan');
      jQuery('.wtotem_antivirus-logs__button--rescan').addClass('active');
    }).on('change', '#wtotem_av_state_filter', function (e) {
      jQuery('#av_logs_wrap').addClass('wtotem_loader_spinner');
      av_ajax_execute('filter')
    }).on('change', '#wtotem_permission-changed', function (e) {
      jQuery('#av_logs_wrap').addClass('wtotem_loader_spinner');
      av_ajax_execute('filter')
    });
  });

</script>


<div class="wtotem_state wt_card">
    <div class="wtotem_antivirus__logs wtotem_antivirus-logs">
        <div class="wtotem_antivirus-logs__panel">

            <div class="wtotem_state__select-wrapper wtotem_antivirus-logs__filter">
                <select name="file-status" id="wtotem_av_state_filter" class="wtotem_state__select">
                    <option class="wtotem_state__option"
                            value="new"><?php echo \JText::_('WTOTEM_NEW_FILES') ?></option>
                    <option class="wtotem_state__option"
                            value="scanned"><?php echo \JText::_('WTOTEM_SCANNED_FILES') ?></option>
                    <option class="wtotem_state__option"
                            value="modified"><?php echo \JText::_('WTOTEM_CHANGED_FILES') ?></option>
                    <option class="wtotem_state__option"
                            value="deleted"><?php echo \JText::_('WTOTEM_DELETED_FILES') ?></option>
                    <option class="wtotem_state__option"
                            value="infected"><?php echo \JText::_('WTOTEM_INFECTED_FILES') ?></option>
                </select>
            </div>

            <div class="wtotem_antivirus-logs__permission wt-checkbox">
                <input class="wt-checkbox__input" type="checkbox" id="wtotem_permission-changed"
                       name="permission-changed"/>
                <label class="wt-checkbox__label"
                       for="wtotem_permission-changed"><?php echo \JText::_('WTOTEM_PERMISSIONS_CHANGED') ?></label>
            </div>
            <div class="wtotem_antivirus-logs__buttons-wrapper">
                <div class="wtotem_antivirus-logs__button wtotem_antivirus-logs__button--download" id="wtotem_av_export"
                     type="button">
                    <span class="wtotem_antivirus-logs__button-text"><?php echo \JText::_('WTOTEM_DOWNLOAD') ?></span>
                </div>

                <div class="wtotem_antivirus-logs__button wtotem_antivirus-logs__button--rescan" id="wtotem_rescan"
                     type="button">
                    <span class="wtotem_antivirus-logs__button-text"><?php echo \JText::_('WTOTEM_RESCAN') ?></span>
                </div>
            </div>

        </div>
    </div>
</div>
