<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php if($variables['logs']):?>

    <?php foreach($variables['logs'] as $log): ?>
        <div class="wtotem_file-table__tr">

            <div class="wtotem_file-table__td wt-flex break-word ">
                <div class="file_path_wrap" >
                    <div class="file_path wt-text <?php echo $log['class'] ?>">
	                    <?php echo $log['file_name'] ?>
                    </div>
                    <div class="file_path wtotem_file_path" title="<?php echo $log['file_path'] ?>">
	                    <?php echo substr( $log['file_path'], 0, 80); ?>
                    </div>
                </div>
            </div>

            <div class="wtotem_file-table__td">
	            <?php echo $log['permissions'] ?>
		        <?php if($log['permissions_changed']):?>
                    <span title="<?php echo \JText::_('WTOTEM_PERMISSIONS_MODIFIED') ?>">
                        <img src="<?php echo $variables['images_path'] ?>alert-warning.svg" alt="Warning icon" height="12px" width="15px" >
                    </span>
                <?php endif; ?>
            </div>

            <div class="wtotem_file-table__td">
	            <?php echo $log['time'] ?>
            </div>

            <div class="wtotem_file-table__td <?php echo $log['class'] ?>">
	            <?php echo $log['text'] ?>
            </div>

            <div class="wtotem_file-table__td text-align-center">
                <?php if($log['event'] == 'infected'):?>
                    <div class="add-to-quarantine" data-path="<?php echo $log['original_path'] ?>"
                         title="<?php echo \JText::_('WTOTEM_MOVE_TO_QUARANTINE') ?>">
                        <img src="<?php echo $variables['images_path'] ?>av-trash-red.svg" >
                    </div>
		        <?php else: ?>
                    <div class="wt-icon" title="">
                        <img src="<?php echo $variables['images_path'] ?>av-trash-gray.svg" >
                    </div>
                <?php endif; ?>
            </div>

        </div>
    <?php endforeach; ?>
<?php else: ?>
    <!-- No data block -->
    <section class="wtotem_reports-no-data" style="height:300px" >
        <h2 class="h2 visually-hidden"><?php echo \JText::_('WTOTEM_NO_DATA') ?></h2>
        <p class="wtotem_reports-no-data__text">
	        <?php echo \JText::_('WTOTEM_HAS_NO_ACTION_READY_YET') ?>
        </p>
    </section>
<?php endif; ?>