<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php if($variables['page'] == 'antivirus'):?>
<script type="text/javascript">
  jQuery(document).ready(function ($) {
    var ajaxurl = '<?php echo $variables['ajax_url']?>';

    jQuery('.wtotem_antivirus__item').on('click', function (e) {
      jQuery('#av_logs_wrap').addClass('wtotem_loader_spinner');
      let status = jQuery(this).data('status');
      jQuery.post(ajaxurl, {

        ajax_action: 'antivirus',
        av_action: 'filter',
        file_status: status,
        permission: jQuery('#wtotem_permission-changed').is(':checked'),

      }, function (response) {

        var data = JSON.parse(response);
        jQuery('#wtotem_notifications').html(data.notifications);
        if (data.success) {
          jQuery('#wtotem_av_state_filter').val(status);
          if (data.logs) {
            jQuery('#av_logs_wrap')
              .html(data.logs)
              .removeClass('wtotem_loader_spinner');

            if (data.has_next_page) {
              jQuery('.wtotem_more_btn_wrap').html(
                '<div class="wtotem_more_btn" id="av_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>'
              );
            } else {
              jQuery('#av_load_more').remove();
            }
          }
        }

      });

    });
  });
</script>
<?php endif; ?>

<div class="wtotem_antivirus <?php if( $variables['page']  == 'antivirus' ) :?> wtotem_antivirus_stats <?php endif; ?>" id="antivirus_stats">
    <div class="wtotem_antivirus__block wt_card">
        <div class="wtotem_antivirus__item" data-status="scanned">
            <div class="wtotem_antivirus__figures wtotem_antivirus__figures_green">
	            <?php echo $variables['scanned'] ?>
            </div>
            <div class="wtotem_antivirus__title">
							<?php echo \JText::_('WTOTEM_SCANNED_FILES') ?>
            </div>
        </div>

        <div class="wtotem_antivirus__item" data-status="modified">
            <div class="wtotem_antivirus__figures wtotem_antivirus__figures_yellow">
	            <?php echo $variables['changes'] ?>
            </div>
            <div class="wtotem_antivirus__title">
							<?php echo \JText::_('WTOTEM_CHANGED_FILES') ?>
            </div>
        </div>

        <div class="wtotem_antivirus__item" data-status="deleted">
            <div class="wtotem_antivirus__figures wtotem_antivirus__figures_black">
	            <?php echo $variables['deleted'] ?>
            </div>
            <div class="wtotem_antivirus__title">
							<?php echo \JText::_('WTOTEM_DELETED_FILES') ?>
            </div>
        </div>

        <div class="wtotem_antivirus__item" data-status="infected">
            <div class="wtotem_antivirus__figures wtotem_antivirus__figures_orange">
	            <?php echo $variables['infected'] ?>
            </div>
            <div class="wtotem_antivirus__title">
							<?php echo \JText::_('WTOTEM_INFECTED_FILES') ?>
            </div>
        </div>

    </div>
</div>
