<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php if ($variables['service']): ?>
    <div id="<?php echo $variables['service'] ?>_chart_period">
        <script type="text/javascript">

          jQuery(document).ready(function ($) {

            var ajaxurl = '<?php echo $variables['ajax_url']?>';

            jQuery('.wtotem_body').on('click', '#<?php echo $variables['service'] ?>_chart_btn div', function (e) {

              jQuery('#<?php echo $variables['service'] ?>_chart_wrap').addClass('wtotem_loader_spinner');
              var active_class = 'wtotem_chart-first__btn_active';
              var btn = jQuery(this);

              jQuery.post(ajaxurl, {
                ajax_action: 'chart',
                days: btn.data('days'),
                service: '<?php echo $variables['service'] ?>'

              }, function (response) {

                var data = JSON.parse(response);

                if (data.success) {
                  jQuery('#<?php echo $variables['service'] ?>_chart_btn div').removeClass(active_class);
                  btn.addClass(active_class);

                  jQuery('#<?php echo $variables['service'] ?>_chart_wrap')
                    .removeClass('wtotem_loader_spinner')
                    .html(data.chart);

                  if (data.service === 'waf') {
                    jQuery('#waf_logs_wrap').html(data.waf_logs);
                    jQuery('#firewall_stats').html(data.waf_stats);

                    if (data.has_next_page) {
                      jQuery('.wtotem_more_btn_wrap').html(
                        '<div class="wtotem_more_btn" id="waf_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>'
                      );
                    } else {
                      jQuery('#waf_load_more').remove();
                    }
                  }

                  jQuery('#wtotem_notifications').html(data.notifications);
                }
              });
            });
          });

        </script>

        <div class="wtotem_chart-first__right" id="<?php echo $variables['service'] ?>_chart_btn">
            <div data-days="365"
                 class="wtotem_chart-first__btn <?php if(!$variables['is_period_available']['yearly']):?>wtotem_period_not_available<?php endif;?> ">
							<?php echo \JText::_('WTOTEM_YEARLY') ?>
            </div>
            <div data-days="31"
                 class="wtotem_chart-first__btn <?php if(!$variables['is_period_available']['monthly']):?>wtotem_period_not_available<?php endif;?> ">
							<?php echo \JText::_('WTOTEM_MONTHLY') ?>
            </div>
            <div data-days="7"
                 class="wtotem_chart-first__btn wtotem_chart-first__btn_active">
							<?php echo \JText::_('WTOTEM_WEEKLY') ?>
            </div>
            <div data-days="1" class="wtotem_chart-first__btn">
							<?php echo \JText::_('WTOTEM_DAILY') ?>
            </div>
        </div>
    </div>
<?php endif; ?>