<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script>
    jQuery(document).ready(function ($) {
        var ajaxurl = '<?php echo $variables['ajax_url']?>';
        jQuery('.open-popup').on('click', function (e) {
            jQuery.post(
                ajaxurl,
                {
                    ajax_action: 'popup',
                    popup_action: jQuery(this).data('action'),
                }, function (response) {

                var data = JSON.parse(response);

                    if(data.success){
                        jQuery('.wtotem_body').append(data.content);
                    }
                }
            );
        });
    });
</script>

<div class="wtotem_not-working__card message-card wtotem-mb-15">
    <h2 class="wtotem_not-working__title message-card__title"><?php echo \JText::_('WTOTEM_DATA_ACCESS_ERROR'); ?></h2>
    <img class="wtotem_not-working__img" src="<?php echo $variables['images_path'] ?>people-with-glass.svg" width="183" height="156" alt="People with loupe" />
    <p class="wtotem_not-working__text">
	    <?php echo \JText::_('WTOTEM_TRY_REINSTALLING_THE_AGENTS'); ?>
    </p>

    <div class="wtotem_button wtotem_control__btn open-popup wtotem-mb-15" data-action="reinstall_agents">
        <img src="<?php echo $variables['images_path'] ?>}reload.svg" alt=""> <span><?php echo \JText::_('WTOTEM_REINSTALL_AGENTS'); ?></span>
    </div>
    <div class="wtotem_button wtotem_control__btn open-popup" data-action="logout">
	    <?php echo \JText::_('WTOTEM_API_KEY_CHANGE'); ?>
    </div>
</div>