<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php if($variables['chart']):?>
    <div class="wtotem_chart__diagram" data-days="<?php echo $variables['days'] ?>" id="wtotem_chart_diagram">
        <div id="line-chart" class="line-chart">
            <div id="tooltipAttacks" class="line-chart__tooltip">
                <span id="countAttacks"></span>
            </div>
            <div id="tooltipBlocked" class="line-chart__tooltip line-chart__tooltip--reverse">
                <span id="countBlocked"></span>
            </div>
        </div>
    </div>
    <div class="wtotem_chart__line"></div>


    <script>
        var waf_chart = <?php echo $variables['chart'] ?>;

        if(typeof drawWafChart !== 'undefined'){
            if(typeof waf_chart == "object"){
                drawWafChart(waf_chart);
            }
        }
    </script>

<?php else: ?>
    <!-- No data block -->
    <section class="wtotem_reports-no-data" style="height:300px" >
        <h2 class="h2 visually-hidden"><?php echo \JText::_('WTOTEM_NO_DATA') ?></h2>
        <p class="wtotem_reports-no-data__text">
	        <?php echo \JText::_('WTOTEM_HAS_NO_ACTION_READY_YET') ?>
        </p>
    </section>
<?php endif; ?>
