<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_firewall" id="firewall_stats">
	<?php if($variables['is_waf_training']):?>
        <div class="wtotem_firwall-training-alert wt_card">
            <div class="wtotem_firwall-training-alert__text-wrapper">
                <p class="wtotem_firwall-training-alert__text">
	                <?php echo \JText::_('WTOTEM_FIREWALL_NEEDS_2_DAYS') ?>
                </p>
            </div>
            <a href="https://docs.wtotem.com/SpHJ-firewall" target="_blank" class="wtotem_control__btn wtotem_btn_wc">
	            <?php echo \JText::_('WTOTEM_SHOW_MORE') ?>
            </a>
        </div>
    <?php endif; ?>

    <div class="wtotem_firewall__block">
        <div class="wtotem_numbers wt_card">
            <div class="wtotem_numbers__item">
                <div class="wtotem_numbers__title">
	                <?php echo \JText::_('WTOTEM_SUSPICIOUS_EVENTS') ?>
                    <div class="wtotem_title-info__info wtotem-tooltip">
                        <div class="wtotem-tooltip__content">
                            <p class="wtotem-tooltip__text">
	                            <?php echo \JText::_('WTOTEM_SUSPICIOUS_EVENT_DESC') ?>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="wtotem_numbers__figures"><?php echo $variables['all_attacks'] ?></div>
            </div>

            <div class="wtotem_numbers__item">
                <div class="wtotem_numbers__title">
	                <?php echo \JText::_('WTOTEM_BLOCKED') ?>
                    <div class="wtotem_title-info__info wtotem-tooltip">
                        <div class="wtotem-tooltip__content">
                            <p class="wtotem-tooltip__text">
	                            <?php echo \JText::_('WTOTEM_BLOCKED_DESC') ?>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="wtotem_numbers__figures"><?php echo $variables['blocking'] ?></div>
            </div>

            <div class="wtotem_numbers__item">
                <div class="wtotem_numbers__title">
	                <?php echo \JText::_('WTOTEM_LOW_RISK') ?>
                    <div class="wtotem_title-info__info wtotem-tooltip">
                        <div class="wtotem-tooltip__content">
                            <p class="wtotem-tooltip__text">
	                            <?php echo \JText::_('WTOTEM_LOW_RISK_DESC') ?>
                            </p>
                        </div>
                    </div>
                </div>
                <div class="wtotem_numbers__figures"><?php echo $variables['not_blocking'] ?></div>
            </div>
        </div>

        <div class="wtotem_from wt_card">
            <div class="wtotem_from__svg-wrap">
                <svg class="wtotem_from__progress">
                    <circle class="wtotem_from__circle" cx="35" cy="35" r="28" stroke-width="20" stroke="rgb(135,255,222)"
                            style="stroke-dasharray: 176, 176; stroke-dashoffset: <?php echo $variables['most_attacks']['offset'] ?>"/>
                </svg>
                <span class="wtotem_from__percent" data-value="<?php echo $variables['most_attacks']['percent'] ?>"><?php echo $variables['most_attacks']['percent'] ?>%</span>
            </div>

            <div class="wtotem_from__info">
                <div class="wtotem_from__title"><?php echo \JText::_('WTOTEM_COUNTRY') ?></div>
                <div class="wtotem_from__country" >
                    <?php if($variables['most_attacks']['country']):?>
                        <span><?php echo \JText::_('WTOTEM_ATTACK_FROM') ?> <?php echo $variables['most_attacks']['country'] ?></span>
                    <?php else: ?>
	                    <?php echo \JText::_('WTOTEM_PENDING') ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
