<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_footer">
	<div class="wtotem_container">
		<div class="wtotem_footer__first">
			<div class="wtotem_footer__caption" style="width: 100%">
				<div class="wtotem_footer__logo"></div>
				<div class="wtotem_footer__text" style="display: flex; width: 100%">
					<p><?php echo \JText::_('WTOTEM_FOOTER_SLOGAN'); ?></p>
                    <p style="margin-left: auto;">Version <?php echo WEBTOTEM_VERSION; ?></p>
				</div>
			</div>
		</div>

		<div class="wtotem_footer__line"></div>

		<div class="wtotem_footer__bottom">
			<div class="wtotem_footer__left">
				<p class="wtotem_footer__text">
					© 2017-<?php echo $variables['current_year'] ?> <?php echo \JText::_('WTOTEM_ALL_RIGHTS'); ?>
				</p>
			</div>
			<div class="wtotem_footer__soc">
				<a target="_blank" href="https://www.facebook.com/webtotem" class="wtotem_footer__soc-link">
					<img src="<?php echo $variables['images_path'] ?>fc.svg" alt="Facebook icon" />
				</a>
				<a target="_blank" href="https://www.linkedin.com/company/wtotem/" class="wtotem_footer__soc-link">
					<img src="<?php echo $variables['images_path'] ?>lk.svg" alt="Linkedin icon" />
				</a>
				<a target="_blank" href="https://www.youtube.com/channel/UCD-n_NIXTOmw4Nm-LcmW1XA/featured" class="wtotem_footer__soc-link">
					<img src="<?php echo $variables['images_path'] ?>youtube.svg" alt="Youtube icon" />
				</a>
			</div>
			<div class="wtotem_footer__payment">
				<img class="wtotem_footer__card wtotem_footer__card_visa" src="<?php echo $variables['images_path'] ?>visa.svg" alt="Visa"/>
				<img class="wtotem_footer__card wtotem_footer__card_master" src="<?php echo $variables['images_path'] ?>master-card.svg" alt="Master wt_card"/>
				<img class="wtotem_footer__card wtotem_footer__card_payPal" src="<?php echo $variables['images_path'] ?>paypal.svg" alt="PayPal"/>
			</div>
		</div>
	</div>
</div>