<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">
  jQuery(document).ready(function ($) {

    var ajaxurl = '<?php echo $variables['ajax_url']?>';

    jQuery('body').addClass('<?php echo $variables['theme_mode']['is_dark_mode']?>');

    jQuery('.wtotem_body').on('click', '#theme_mode', function (e) {
      jQuery.post(ajaxurl, {
        ajax_action: 'theme_mode',
      }, function (response) {

        var data = JSON.parse(response);
        if(data === "dark"){
          jQuery('body').addClass('wtotem_theme—dark');
          jQuery('.wtotem_body').addClass('wtotem_theme—dark');
        } else {
          jQuery('body').removeClass('wtotem_theme—dark');
          jQuery('.wtotem_body').removeClass('wtotem_theme—dark');
        }
      });
    });

    let set_time_zone = () => {
      let visitorTime = new Date();
      let time_zone_offset = -visitorTime.getTimezoneOffset() / 60;
      jQuery.post(ajaxurl, {
        ajax_action: 'set_time_zone',
        offset: time_zone_offset,
      });
    };
    set_time_zone();
  });
</script>

<script>
  var WTOTEM = {
    LANG: "<?php echo  $variables['lang'] ?>",
    SUNDAY: "<?php echo \JText::_('WTOTEM_SUNDAY') ?>",
    MONDAY: "<?php echo \JText::_('WTOTEM_MONDAY') ?>",
    TUESDAY: "<?php echo \JText::_('WTOTEM_TUESDAY') ?>",
    WEDNESDAY: "<?php echo \JText::_('WTOTEM_WEDNESDAY') ?>",
    THURSDAY: "<?php echo \JText::_('WTOTEM_THURSDAY') ?>",
    FRIDAY: "<?php echo \JText::_('WTOTEM_FRIDAY') ?>",
    SATURDAY: "<?php echo \JText::_('WTOTEM_SATURDAY') ?>",
    JAN: "<?php echo \JText::_('WTOTEM_JAN') ?>",
    FEB: "<?php echo \JText::_('WTOTEM_FEB') ?>",
    MAR: "<?php echo \JText::_('WTOTEM_MAR') ?>",
    APR: "<?php echo \JText::_('WTOTEM_APR') ?>",
    MAY: "<?php echo \JText::_('WTOTEM_MAY') ?>",
    JUN: "<?php echo \JText::_('WTOTEM_JUN') ?>",
    JUL: "<?php echo \JText::_('WTOTEM_JUL') ?>",
    AUG: "<?php echo \JText::_('WTOTEM_AUG') ?>",
    SEP: "<?php echo \JText::_('WTOTEM_SEP') ?>",
    OCT: "<?php echo \JText::_('WTOTEM_OCT') ?>",
    NOV: "<?php echo \JText::_('WTOTEM_NOV') ?>",
    DEC: "<?php echo \JText::_('WTOTEM_DEC') ?>",
    JANUARY: "<?php echo \JText::_('WTOTEM_JANUARY') ?>",
    FEBRUARY: "<?php echo \JText::_('WTOTEM_FEBRUARY') ?>",
    MARCH: "<?php echo \JText::_('WTOTEM_MARCH') ?>",
    APRIL: "<?php echo \JText::_('WTOTEM_APRIL') ?>",
    JUNE: "<?php echo \JText::_('WTOTEM_JUNE') ?>",
    JULY: "<?php echo \JText::_('WTOTEM_JULY') ?>",
    AUGUST: "<?php echo \JText::_('WTOTEM_AUGUST') ?>",
    SEPTEMBER: "<?php echo \JText::_('WTOTEM_SEPTEMBER') ?>",
    OCTOBER: "<?php echo \JText::_('WTOTEM_OCTOBER') ?>",
    NOVEMBER: "<?php echo \JText::_('WTOTEM_NOVEMBER') ?>",
    DECEMBER: "<?php echo \JText::_('WTOTEM_DECEMBER') ?>",
    YEAR: "<?php echo \JText::_('WTOTEM_YEAR') ?>",
    HOUR: "<?php echo \JText::_('WTOTEM_HOUR') ?>",
    MINUTE: "<?php echo \JText::_('WTOTEM_MINUTE') ?>",
    COUNTRIES_BLOCKED_FROM: "<?php echo \JText::_('WTOTEM_COUNTRIES_BLOCKED_FROM') ?>",
    SELECT_ALL: "<?php echo \JText::_('WTOTEM_SELECT_ALL') ?>",
    ATTACK_FROM: "<?php echo \JText::_('WTOTEM_ATTACK_FROM') ?>",

    ASIA: "<?php echo \JText::_('WTOTEM_ASIA') ?>",
    EUROPE: "<?php echo \JText::_('WTOTEM_EUROPE') ?>",
    AFRICA: "<?php echo \JText::_('WTOTEM_AFRICA') ?>",
    OCEANIA: "<?php echo \JText::_('WTOTEM_OCEANIA') ?>",
    AMERICAS: "<?php echo \JText::_('WTOTEM_AMERICAS') ?>"
  };
</script>
<div class="wtotem_body <?php echo $variables['theme_mode']['is_dark_mode'] ?>">
    <div class="wtotem_header wt_card">
        <div class="wtotem_container">
            <div class="wtotem_header__body">
                <div class="wtotem_version">
                    <div class="wtotem_logo"></div>
                    <span class="wtotem_version__count">2.0</span>
                </div>
                <div class="wtotem_burger">
                    <span class="wtotem_burger__middle-line"></span>
                </div>

                <nav class="wtotem_nav">
                    <ul class="wtotem_nav__menu">
                        <li class="wtotem_control__checkbox" id="color_scheme_toggle">
                            <input type="checkbox" class="wtotem_control__input" id="theme_mode" <?php echo $variables['theme_mode']['dark_mode_checked'] ?> />
                            <label for="theme_mode" class="wtotem_control__label">
                                <span class="wtotem_control__switched-circle"></span>
                            </label>
                        </li>

                        <li class="wtotem_nav__item">
                            <a href="<?php echo $variables['url'] ?>dashboard"
                               class="wtotem_nav__link <?php echo $variables['is_active']['dashboard'] ?>" >
	                            <?php echo \JText::_('WTOTEM_DASHBOARD'); ?>
                            </a>
                        </li>
                        <li class="wtotem_nav__item">
                            <a href="<?php echo $variables['url'] ?>firewall"
                               class="wtotem_nav__link <?php echo $variables['is_active']['firewall'] ?>" >
	                            <?php echo \JText::_('WTOTEM_FIREWALL'); ?>
                            </a>
                        </li>
                        <li class="wtotem_nav__item">
                            <a href="<?php echo $variables['url'] ?>antivirus"
                               class="wtotem_nav__link <?php echo $variables['is_active']['antivirus'] ?>" >
	                            <?php echo \JText::_('WTOTEM_ANTIVIRUS'); ?>
                            </a>
                        </li>
                        <li class="wtotem_nav__item">
                            <a href="<?php echo $variables['url'] ?>settings"
                               class="wtotem_nav__link <?php echo $variables['is_active']['settings'] ?>" >
	                            <?php echo \JText::_('WTOTEM_SETTINGS'); ?>
                            </a>
                        </li>
                        <li class="wtotem_nav__item">
                            <a href="<?php echo $variables['url'] ?>reports"
                               class="wtotem_nav__link <?php echo $variables['is_active']['reports'] ?>" >
	                            <?php echo \JText::_('WTOTEM_REPORTS'); ?>
                            </a>
                        </li>

                        <li class="wtotem_nav__item">
                            <a href="<?php echo $variables['url'] ?>documentation"
                               class="wtotem_nav__link <?php echo $variables['is_active']['documentation'] ?>" >
	                            <?php echo \JText::_('WTOTEM_DOCUMENTATION'); ?>
                            </a>
                        </li>

                    </ul>
                </nav>
            </div>
        </div>
    </div>

    <div class="wtotem_content">
        <div class="wtotem_container">
            <div class="wtotem_notifications_wrapper" id="wtotem_notifications">
	            <?php include 'notifications.php'?>
            </div>
        </div>
    </div>

    <div class="wtotem_content">
        <div class="wtotem_container">
	        <?php echo $variables['content'] ?>
        </div>
    </div>
    <?php include 'footer.php'?>
</div>