<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<?php if($variables['attacks_map'] and $variables['attacks_map'] != 'false'):?>
    <div class="wtotem_map-block__map">
        <svg id="firewallMap" class="firewall_map" height="305" width="100%"></svg>
    </div>
    <div class="firewall">
        <canvas id="firewall" class="firewall_bar" width="100%"></canvas>
    </div>

    <script>
        var attacks_map = <?php echo $variables['attacks_map'] ?>;
        var world_map_json = '<?php echo $variables['world_map_json'] ?>';

        if(typeof attacksMap !== 'undefined'){
            if(typeof attacks_map == "object"){
                attacksMap();
            }
        }
    </script>

<?php else: ?>
    <!-- No data block -->
    <section class="wtotem_reports-no-data" style="height:300px" >
        <h2 class="h2 visually-hidden"><?php echo \JText::_('WTOTEM_NO_DATA') ?></h2>
        <p class="wtotem_reports-no-data__text">
	        <?php echo \JText::_('WTOTEM_HAS_NO_ACTION_READY_YET') ?>
        </p>
    </section>
<?php endif; ?>

