<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_monitoring" id="monitoring">
    <div class="wtotem_table wt_card">
        <div class="wtotem_table__row">
            <div class="wtotem_table__col">
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title">
                        SSL
                        <span class="wtotem_title-info__info wtotem-tooltip">
                            <span class="wtotem-tooltip__content">
                                <span class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_SSL_MODULE') ?></span>
                                <span class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_SSL_MODULE_DESC') ?></span>
                            </span>
                        </span>
                    </h3>
                </div>
                <?php if($variables['ssl']['status']['name'] == 'pending'):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>
                    <div class="wtotem_table__td">
                        <div class="wtotem_table__expired">
                            <span class="<?php echo $variables['ssl']['status']['class'] ?>">
                              <?php echo $variables['ssl']['status']['text'] ?>
                            </span>
                        </div>
                    </div>
                    <?php if($variables['ssl']['days_left']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject">
	                            <?php echo \JText::_('WTOTEM_DAYS_LEFT') ?>
                            </h3>
                            <div class="wtotem_table__text">
                                <?php echo $variables['ssl']['days_left'] ?>
                            </div>
                        </div>

                    <?php endif; ?>
                    <?php if($variables['ssl']['issue_date']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject">
	                            <?php echo \JText::_('WTOTEM_ISSUE_DATE') ?>
                            </h3>
                            <div class="wtotem_table__text">
                                <?php echo $variables['ssl']['issue_date'] ?>
                            </div>
                        </div>
                    <?php endif; ?>

                    <?php if($variables['ssl']['expiry_date']):?>
                        <div class="wtotem_table__info">
                            <h3 class="h3 wtotem_table__subject">
	                            <?php echo \JText::_('WTOTEM_EXPIRY_DATE') ?>
                            </h3>
                            <div class="wtotem_table__text">
                                <?php echo $variables['ssl']['expiry_date'] ?>
                            </div>
                        </div>
                    <?php endif; ?>

                <?php endif; ?>
            </div>
            <div class="wtotem_table__col">
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title">
	                    <?php echo \JText::_('WTOTEM_AVAILABILITY') ?>
                        <div class="wtotem_title-info__info wtotem-tooltip">
                            <div class="wtotem-tooltip__content">
                                <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_AVAILABILITY_MODULE') ?></p>
                                <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_AVAILABILITY_MODULE_DESC') ?></p>
                            </div>
                        </div>
                    </h3>
                </div>

                <?php if($variables['availability']['status']['name']  ==  'pending'):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>
                    <div class="wtotem_table__td">
                        <div class="wtotem_table__perfomance">
	                        <?php echo \JText::_('WTOTEM_PERFORMANCE') ?>
                        </div>
                        <div class="wtotem_table__right wtotem_table__right_progress-wrap">
                            <span class="wtotem_table__initial-value">0%</span>
                            <div class="wtotem_table__stick-progress" style="width: <?php echo $variables['availability']['percent'] ?>%">
                                <div class="wtotem_table__message">
                                    <span class="wtotem_table__percent">
                                        <?php echo $variables['availability']['percent'] ?>
                                    </span>
                                    <span class="wtotem_table__triangle"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_STATUS') ?>
                            <div class="wtotem_title-info__info wtotem-tooltip">
                                <div class="wtotem-tooltip__content">
                                    <?php echo $variables['availability']['status']['tooltips'] ?>
                                </div>
                            </div>
                        </h3>
                        <div class="wtotem_table__status">
                            <?php echo $variables['availability']['status']['text'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject"><?php echo \JText::_('WTOTEM_DOWNTIME') ?></h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['availability']['downtime'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject"><?php echo \JText::_('WTOTEM_LAST_TEST') ?></h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['availability']['last_test'] ?>
                        </div>
                    </div>
                <?php endif; ?>
            </div>

            <div class="wtotem_table__col">
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title"><?php echo \JText::_('WTOTEM_REPUTATION') ?>
                        <div class="h3 wtotem_title-info__info wtotem-tooltip">
                            <div class="wtotem-tooltip__content">
                                <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_REPUTATION_MODULE') ?></p>
                                <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_REPUTATION_MODULE_DESC') ?></p>
                            </div>
                        </div>
                    </h3>
                </div>
                <?php if($variables['reputation']['status']['name'] == 'pending'):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>

                    <div class="wtotem_table__td">
                        <div class="wtotem_table__wrap">
                            <?php if($variables['reputation']['status']['image']):?>
                                <img src="<?php echo $variables['reputation']['status']['image'] ?>" class="wtotem_table__img"/>
                            <?php endif; ?>
                        </div>

                        <div class="wtotem_table__perfomance wtotem_table__perfomance_long wtotem-ml-20">
                            <?php echo $variables['reputation']['info'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_STATUS') ?>
                            <div class="wtotem_title-info__info wtotem-tooltip">
                                <div class="wtotem-tooltip__content">
                                    <?php echo $variables['reputation']['status']['tooltips'] ?>
                                </div>
                            </div>
                        </h3>
                        <div class="wtotem_table__status">
                            <?php echo $variables['reputation']['status']['text'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_DENY_LISTS_ENTRIES') ?>
                        </h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['reputation']['blacklists_entries'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_LAST_TEST') ?>
                        </h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['reputation']['last_test'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info"></div>
                <?php endif; ?>
            </div>
        </div>
        <div class="wtotem_table__footer">
            <a target="_blank" href="https://wtotem.com/faq/#hs-chat-open" class="wtotem_table__link">
                <div class="wtotem_table__perfomance">
                    <span><?php echo \JText::_('WTOTEM_LETS_TALK') ?></span>
                </div>
            </a>
        </div>
    </div>
</div>
