<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="popup-overlay" id="confirm-popup">
    <script type="text/javascript">
      jQuery(document).ready(function ($) {

        var ajaxurl = '<?php echo $variables['ajax_url']?>';

        jQuery('#wt-continue').on('click', function (e) {
          jQuery('.popup-content').addClass('wtotem_loader_spinner');
          jQuery.post(ajaxurl, {
            ajax_action: '<?php echo $variables['action']?>',
          }, function (response) {

            var data = JSON.parse(response);
            jQuery('#wtotem_notifications').html(data.notifications);

            if (data.success) {
              window.open(data.redirect_link, '_self');
            } else {
              jQuery('.popup-content').removeClass('wtotem_loader_spinner');
            }
          });

        });

        jQuery('#wt-cancel').on('click', function (e) {
          jQuery('#confirm-popup').remove();
        });

        jQuery('body').on('click', '.popup-overlay', function (e) {
          if (e.target.className.includes('popup-overlay')) {
            jQuery('.popup-overlay').addClass('d-none');
            jQuery('#confirm-popup').remove();
          }
        });

      });
    </script>

    <div class="popup-content" style="position: relative; width: auto; margin: auto; border: 1px solid rgb(187, 187, 187); padding: 5px; border-radius: 10px;">
        <div class="confirmation-dialog">
            <h2 class="confirmation-dialog__title"><?php echo \JText::_('WTOTEM_ARE_YOU_SURE') ?></h2>
            <p class="confirmation-dialog__text"><?php echo $variables['message']?></p>
            <div class="confirmation-dialog__buttons-wrapper">
                <button class="wt-button wt-button--red wt-button--size-300 wt-button--padded wt-font-700 confirmation-dialog__button" id="wt-continue">
                  <?php echo \JText::_('WTOTEM_CONTINUE') ?>
                </button>
                <button class="wt-button wt-button--success wt-button--size-300 wt-button--padded wt-font-700 confirmation-dialog__button" id="wt-cancel">
                  <?php echo \JText::_('WTOTEM_CANCEL') ?>
                </button>
            </div>
        </div>
    </div>
</div>