<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">

  jQuery(document).ready(function ($) {

    var ajaxurl = '<?php echo $variables['ajax_url']?>'

    let ignore_ports = (action, btn = false) => {
      jQuery('.port-scanner-list').addClass('wtotem_loader_spinner');
      var port = btn ? btn.data('port') : jQuery('#wtotem-input-port').val();

      jQuery.post(ajaxurl, {
        ajax_action: 'ignore_ports',
        port_action: action,
        port: port,

      }, function (response) {

        var data = JSON.parse(response);
        jQuery('.port-scanner-list').removeClass('wtotem_loader_spinner');
        jQuery('#wtotem-input-port').val('');
        jQuery('#open_ports_wrap').html(data.open_ports);
        jQuery('#open_ports_modal_wrap').html(data.open_ports);
        jQuery('#ignore_ports_wrap').html(data.ignore_ports);
      });
    };

    jQuery('.wtotem_body').on('click', '.add_port', function (e) {
      ignore_ports('add', jQuery(this));
    }).on('click', '#add_port_btn', function (e) {
      ignore_ports('add');
    }).on('click', '.remove_port', function (e) {
      ignore_ports('remove', jQuery(this));
    });

    jQuery('#wtotem-input-port').keydown(function (e) {
      if (e.keyCode === 13) {
        ignore_ports('add');
      }
    });
  });

</script>

<div class="popup-overlay d-none">
    <div class="popup-content wt_card">
        <div class="port-scanner-list">
            <div class="port-scanner-list__header">
                <div class="port-scanner-list__header--title"><?php echo \JText::_('WTOTEM_PORT_SCANNER_DENY_LIST') ?></div>
                <div class="port-scanner-list__header--close popup-overlay__close">
                    <img width="10px" height="10px" src="<?php echo $variables['images_path'] ?>plus_dark.svg" class="svg-icon">
                </div>
            </div>
            <div class="port-scanner-list__form">
                <span><?php echo \JText::_('WTOTEM_OPEN_PORTS') ?></span>
                <div class="port-scanner-list__form-ports" id="open_ports_modal_wrap">
                    <?php if($variables['ports']['tcp']):?>
                        <?php include 'open_ports.php'?>
                    <?php endif; ?>
                </div>

                <div class="port-scanner-list__form-input">
                    <div class="wt-input">
                        <div class="wt-input__inner wt-input__inner--with-icon">
                            <input placeholder="<?php echo \JText::_('WTOTEM_TYPE_PORT_NUMBER') ?>" id="wtotem-input-port" type="number" min="0" max="65536" value="">
                            <div class="wt-input__icon">
                                <div class="port-scanner-list__form-input-icon">
                                    <div class="wt-icon">
                                        <input type="image" src="<?php echo $variables['images_path'] ?>plus_dark.svg" class="svg-icon" id="add_port_btn">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <p class="wtotem-input-port__info" id="wtotem_ports_form-messages"></p>
                </div>
            </div>

            <div class="port-scanner-list__wrap" id="ignore_ports_wrap">
                <?php include 'ignore_ports.php'?>
            </div>

        </div>
    </div>
</div>
