<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">

  jQuery(document).ready(function ($) {

    var ajaxurl = '<?php echo $variables['ajax_url']?>';

    jQuery('.wtotem_body').on('click', '#reports_load_more', function (e) {

      jQuery('#reports_logs_wrap').addClass('wtotem_loader_spinner');
      jQuery.post(ajaxurl, {
        ajax_action: 'lazy_load',
        service: 'reports',
      }, function (response) {

        var data = JSON.parse(response);
        jQuery('#reports_load_more_wrap').remove();
        jQuery('#reports_logs_wrap')
          .removeClass('wtotem_loader_spinner')
          .append(data.content);

        jQuery('#wtotem_notifications').html(data.notifications);
      });
    })
      .on('click', '#reports_m_load_more', function (e) {

        jQuery('#reports_m_load_more').addClass('wtotem_loader_spinner');
        jQuery.post(ajaxurl, {
          ajax_action: 'lazy_load',
          service: 'reports_m',
        }, function (response) {

          var data = JSON.parse(response);
          jQuery('#reports_m_load_more').remove();
          jQuery('#reports_m_logs_wrap')
            .removeClass('wtotem_loader_spinner')
            .append(data.content);

          jQuery('#wtotem_notifications').html(data.notifications);
        });
      })
      .on('click', '.report-download', function (e) {

        jQuery.post(ajaxurl, {
          ajax_action: 'reports',
          report_action: 'download',
          id: jQuery(this).data('id'),
        }, function (response) {

          var data = JSON.parse(response);
          window.open(data.link);

          jQuery('#wtotem_notifications').html(data.notifications);
        });
      });
  });

</script>

<div class="wtotem_reports">
    <div class="wtotem_content">
        <div class="wtotem_container wtotem_reports__content">
            <div class="wtotem_reports__header section-header-mb">
                <h1 class="h1 title wtotem_reports__title">
	                <?php echo \JText::_('WTOTEM_REPORTS') ?>
                </h1>

                <button class="wtotem_reports__btn button add_report" type="button">
	                <?php echo \JText::_('WTOTEM_GENERATE_REPORT') ?>
                </button>
            </div>

            <?php if($variables['reports']):?>
                <!-- Reports list -->
                <section class="wtotem_reports-list">
                    <h2 class="h2 visually-hidden"> <?php echo \JText::_('WTOTEM_REPORT_DATA') ?></h2>
                    <table class="wtotem_reports-list__table wtotem_reports-table">
                        <thead>
                        <tr class="wtotem_reports-table__row wtotem_reports-table__row--header">
                            <th class="wtotem_reports-table__column"> <?php echo \JText::_('WTOTEM_GENERATED_TIME') ?></th>
                            <th class="wtotem_reports-table__column"> <?php echo \JText::_('WTOTEM_TYPE') ?></th>
                            <th class="wtotem_reports-table__column" style="max-width:420px;"> <?php echo \JText::_('WTOTEM_MODULES') ?></th>
                            <th class="wtotem_reports-table__column wtotem_reports-table__column--actions">
	                            <?php echo \JText::_('WTOTEM_ACTIONS') ?>
                            </th>
                        </tr>
                        </thead>
                        <tbody id="reports_logs_wrap">
                            <?php include 'reports_list.php'?>
                        </tbody>
                    </table>

                    <!-- accordion for mobiles -->
                    <div class="wtotem_reports-list__accordion wtotem_reports-accordion">
                        <ul class="wtotem_reports-accordion__list" id="reports_m_logs_wrap">
                            <?php include 'reports_list_mobile.php'?>
                        </ul>
                    </div>
                </section>

            <?php else: ?>

                <section class="wtotem_reports-list" style="display: none">
                    <h2 class="h2 visually-hidden"> <?php echo \JText::_('WTOTEM_REPORT_DATA') ?></h2>
                    <table class="wtotem_reports-list__table wtotem_reports-table">
                        <thead>
                        <tr class="wtotem_reports-table__row wtotem_reports-table__row--header">
                            <th class="wtotem_reports-table__column"> <?php echo \JText::_('WTOTEM_GENERATED_TIME') ?></th>
                            <th class="wtotem_reports-table__column"> <?php echo \JText::_('WTOTEM_TYPE') ?></th>
                            <th class="wtotem_reports-table__column" style="max-width:420px;"> <?php echo \JText::_('WTOTEM_MODULES') ?></th>
                            <th class="wtotem_reports-table__column wtotem_reports-table__column--actions">
	                            <?php echo \JText::_('WTOTEM_ACTIONS') ?>
                            </th>
                        </tr>
                        </thead>
                        <tbody id="reports_logs_wrap"></tbody>
                    </table>

                    <!-- accordion for mobiles -->
                    <div class="wtotem_reports-list__accordion wtotem_reports-accordion">
                        <ul class="wtotem_reports-accordion__list" id="reports_m_logs_wrap"></ul>
                    </div>
                </section>

                <!-- No data block -->
                <section class="wtotem_reports-no-data" >
                    <h2 class="h2 visually-hidden"> <?php echo \JText::_('WTOTEM_NO_DATA') ?></h2>
                    <p class="wtotem_reports-no-data__text">
	                    <?php echo \JText::_('WTOTEM_HAS_NO_ACTION_READY_YET') ?>
                    </p>
                    <button class="wtotem_reports__btn button add_report" type="button">
	                    <?php echo \JText::_('WTOTEM_GENERATE_NEW_REPORT') ?>
                    </button>
                </section>

            <?php endif; ?>
        </div>
    </div>
</div>
