<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">

    jQuery(document).ready(function ($) {

        var ajaxurl = '<?php echo $variables['ajax_url']?>';

        jQuery('#report_form').on('submit', function (e) {

            let formdata = jQuery(this).serialize();
            let period = jQuery('#edit-report-date-from');

            jQuery('#report_form').addClass('wtotem_loader_spinner');
            e.preventDefault();

            jQuery.post(
                ajaxurl,
                formdata,
                  function (response) {

                    var data = JSON.parse(response);
                    jQuery('#wtotem_notifications').html(data.notifications);
                    jQuery('#report_form').removeClass('wtotem_loader_spinner');
                    if(data){
                        if(data.link){
                            window.open(data.link);

                            jQuery('#reports_m_logs_wrap').html(data.reports_m);
                            jQuery('#reports_logs_wrap').html(data.reports);
                            jQuery('.wtotem_reports-list').show();
                            jQuery('.wtotem_reports-no-data').hide();

                        }
                        jQuery('#wtotem_reports_form-messages').html(data.massage);
                    }
                });
        });
    });


    window.addEventListener('DOMContentLoaded', function () {
        const settingsCalendarElement = document.querySelector("#edit-report-date-from");
        const settingsCalendarGroup = document.querySelector(".wtotem_reports-settings__dates");
        const settingsCalendar = setFlatpickr_(settingsCalendarElement, "#edit-report-date-from", "#edit-report-date-to", settingsCalendarGroup);

        document.querySelector('.wtotem_reports-settings__period-list').addEventListener('change', (evt) => {
            if (evt.target.tagName !== 'INPUT') {
                return;
            }

            const subMonths = (date, months) => {
                const result = new Date(date);
                result.setMonth(result.getMonth() - months);
                return result;
            };

            const months = parseInt(evt.target.value, 10);
            const dateTo = new Date();
            const dateFrom = subMonths(dateTo, months);

            settingsCalendar.setDate([dateFrom, dateTo], true);
        });
    });
</script>

<!-- Report settings modal -->
<div class="wtotem_reports-modal wtotem_reports-modal--hidden">
    <div class="wtotem_reports-modal__content">

        <button class="wtotem_reports-modal__close" type="button">
            <span class="visually-hidden"> <?php echo \JText::_('WTOTEM_CLOSE') ?></span>
        </button>

        <h2 class="h2 visually-hidden"> <?php echo \JText::_('WTOTEM_REPORT_SETTINGS') ?></h2>

        <form action="" class="wtotem_reports-settings" id="report_form">
            <input type="hidden" name="ajax_action" value="reports">
            <input type="hidden" name="report_action" value="report_form">

            <p class="wtotem_reports-settings__field-title"> <?php echo \JText::_('WTOTEM_SELECT_REPORT_PERIOD') ?></p>
            <ul class="wtotem_reports-settings__period-list">
                <li class="wtotem_reports-settings__period-item">
                    <input class="wtotem_reports-settings__period-radio" type="radio" id="month-1" name="period"
                           value="1" checked>
                    <label class="wtotem_reports-settings__period-label" for="month-1">
                        1 <?php echo \JText::_('WTOTEM_MONTH') ?>
                    </label>
                </li>
                <li class="wtotem_reports-settings__period-item">
                    <input class="wtotem_reports-settings__period-radio" type="radio" id="month-3" name="period"
                           value="3">
                    <label class="wtotem_reports-settings__period-label" for="month-3">
                        3 <?php echo \JText::_('WTOTEM_MONTHS') ?>
                    </label>
                </li>
                <li class="wtotem_reports-settings__period-item">
                    <input class="wtotem_reports-settings__period-radio" type="radio" id="month-6" name="period"
                           value="6">
                    <label class="wtotem_reports-settings__period-label" for="month-6">
                        6 <?php echo \JText::_('WTOTEM_MONTHS_2') ?>
                    </label>
                </li>
                <li class="wtotem_reports-settings__period-item">
                    <input class="wtotem_reports-settings__period-radio" type="radio" id="year-1" name="period"
                           value="12">
                    <label class="wtotem_reports-settings__period-label" for="year-1"> 1 <?php echo \JText::_('WTOTEM_YEAR') ?></label>
                </li>
            </ul>

            <div class="wtotem_reports-settings__dates">
                <input class="wtotem_calendar flatpickr flatpickr-input" type="text"
                       name="date_period" readonly="readonly" id="edit-report-date-from" placeholder="<?php echo \JText::_('WTOTEM_SELECT_DATE') ?>" />
                <div class="wtotem_calendar-connect">
                    -
                </div>
                <input class="wtotem_calendar" type="text" id="edit-report-date-to" readonly="readonly" placeholder="<?php echo \JText::_('WTOTEM_SELECT_DATE') ?>" />
            </div>

            <p class="wtotem_reports-settings__field-title--modules"> <?php echo \JText::_('WTOTEM_CHOOSE_MODULES') ?></p>
            <ul class="wtotem_reports-settings__modules-list">
                <li class="wtotem_reports-settings__module-item">
                    <p class="wtotem_reports-settings__module-title"> <?php echo \JText::_('WTOTEM_AVAILABILITY') ?></p>
                    <input class="wtotem_reports-settings__module-checkbox" type="checkbox"
                           id="module-avaliability" name="modules[wa]" checked>
                    <label class="wtotem_reports-settings__module-label" for="module-avaliability"></label>
                </li>
                <li class="wtotem_reports-settings__module-item">
                    <p class="wtotem_reports-settings__module-title"> <?php echo \JText::_('WTOTEM_DEFACE') ?></p>
                    <input class="wtotem_reports-settings__module-checkbox" type="checkbox"
                           id="module-deface" name="modules[dc]" checked>
                    <label class="wtotem_reports-settings__module-label" for="module-deface"></label>
                </li>
                <li class="wtotem_reports-settings__module-item">
                    <p class="wtotem_reports-settings__module-title"> <?php echo \JText::_('WTOTEM_PORTS') ?></p>
                    <input class="wtotem_reports-settings__module-checkbox" type="checkbox"
                           id="module-ports" name="modules[ps]" checked>
                    <label class="wtotem_reports-settings__module-label" for="module-ports"></label>
                </li>
                <li class="wtotem_reports-settings__module-item">
                    <p class="wtotem_reports-settings__module-title"> <?php echo \JText::_('WTOTEM_REPUTATION') ?></p>
                    <input class="wtotem_reports-settings__module-checkbox" type="checkbox"
                           id="module-reputation" name="modules[rc]" checked>
                    <label class="wtotem_reports-settings__module-label" for="module-reputation"></label>
                </li>
                <li class="wtotem_reports-settings__module-item">
                    <p class="wtotem_reports-settings__module-title"> <?php echo \JText::_('WTOTEM_SCORING') ?></p>
                    <input class="wtotem_reports-settings__module-checkbox" type="checkbox"
                           id="module-scoring" name="modules[sc]" checked>
                    <label class="wtotem_reports-settings__module-label" for="module-scoring"></label>
                </li>
                <li class="wtotem_reports-settings__module-item">
                    <p class="wtotem_reports-settings__module-title"> <?php echo \JText::_('WTOTEM_ANTIVIRUS') ?></p>
                    <input class="wtotem_reports-settings__module-checkbox" type="checkbox"
                           id="module-antivirus" name="modules[av]" checked>
                    <label class="wtotem_reports-settings__module-label" for="module-antivirus"></label>
                </li>
                <li class="wtotem_reports-settings__module-item">
                    <p class="wtotem_reports-settings__module-title"> <?php echo \JText::_('WTOTEM_FIREWALL') ?></p>
                    <input class="wtotem_reports-settings__module-checkbox" type="checkbox"
                           id="module-firewall" name="modules[waf]" checked>
                    <label class="wtotem_reports-settings__module-label" for="module-firewall"></label>
                </li>
            </ul>

            <input type="submit" value="<?php echo \JText::_('WTOTEM_GENERATE_NEW_REPORT') ?>" class="wtotem_reports__btn wtotem_reports-settings__btn button">
            <div id="wtotem_reports_form-messages"></div>
        </form>
    </div>
</div>
