<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_scanning" id="scanning">
    <div class="wtotem_table wt_card">
        <div class="wtotem_table__row">
            <div class="wtotem_table__col">
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title">
	                    <?php echo \JText::_('WTOTEM_PORT_SCANNER') ?>
                        <span class="wtotem_title-info__info wtotem-tooltip">
                            <span class="wtotem-tooltip__content">
                                <span class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_PORT_SCANNER') ?></span>
                                <span class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_PORT_SCANNER_DESC') ?></span>
                            </span>
                        </span>
                    </h3>
                </div>
                <?php if($variables['ports']['status']['name'] == 'pending'):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
	                        <?php echo \JText::_('WTOTEM_STATUS') ?>
                            <div class="wtotem_title-info__info wtotem-tooltip">
                                <div class="wtotem-tooltip__content">
                                    <?php echo $variables['ports']['status']['tooltips'] ?>
                                </div>
                            </div>
                        </h3>
                        <div class="wtotem_table__status">
                            <?php echo $variables['ports']['status']['text'] ?>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject"><?php echo \JText::_('WTOTEM_IP_ADDRESS') ?></h3>
                        <div class="wtotem_table__text"><?php echo $variables['ports']['ip'] ?></div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
                            TCP
                        </h3>
                        <div class="wtotem_table__text">

                            <div class="wt-stats__value port-scanner-ports">
                                <div class="port-scanner-ports-wrap" id="open_ports_wrap">
                                    <?php if($variables['ports']['tcp']):?>
                                        <?php include 'open_ports.php'?>
                                    <?php endif; ?>
                                </div>

                                <span class="port-scanner-port-wrapper" id="wtotem_ps_settings">
                                    <img width="18px" height="18px" src="<?php echo $variables['images_path'] ?>settings_icon.svg" class="svg-icon">
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
                            <?php echo \JText::_('WTOTEM_LAST_TEST') ?>
                        </h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['ports']['last_test'] ?>
                        </div>
                    </div>


                <?php endif; ?>
            </div>

            <div class="wtotem_table__col">
                <div class="wtotem_table__th">
                    <h3 class="h3 wtotem_table__title wtotem_title-info__title">
                        <?php echo \JText::_('WTOTEM_DEFACE_SCANNER') ?>
                        <div class="wtotem_title-info__info wtotem-tooltip">
                            <div class="wtotem-tooltip__content">
                                <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_DEFACE_SCANNER') ?></p>
                                <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_DEFACE_SCANNER_DESC') ?></p>
                            </div>
                        </div>
                    </h3>
                </div>

                <?php if($variables['deface']['status']['name'] == 'pending'):?>
                    <?php include 'dots_loader.php'?>
                <?php else: ?>

                    <div class="wtotem_table__item">
                        <div class="wtotem_table__wrap_big">
                            <img src="<?php echo $variables['deface']['status']['image'] ?>" class="wtotem_table__img"/>
                        </div>
                    </div>

                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
                            <?php echo \JText::_('WTOTEM_STATUS') ?>
                            <div class="wtotem_title-info__info wtotem-tooltip">
                                <div class="wtotem-tooltip__content">
                                    <?php echo $variables['deface']['status']['tooltips'] ?>
                                </div>
                            </div>
                        </h3>
                        <div class="wtotem_table__status">
                            <?php echo $variables['deface']['status']['text'] ?>
                        </div>
                    </div>

                    <?php if($variables['deface']['words']):?>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
                            <?php echo \JText::_('WTOTEM_FOUND_WORDS') ?>
                        </h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['deface']['words'] ?>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="wtotem_table__info">
                        <h3 class="h3 wtotem_table__subject">
                            <?php echo \JText::_('WTOTEM_LAST_TEST') ?>
                        </h3>
                        <div class="wtotem_table__text">
                            <?php echo $variables['deface']['last_test'] ?>
                        </div>
                    </div>
                <?php endif; ?>
            </div>

            <div class="wtotem_table__col">
                <section class="wtotem-ss-disc">
                    <div class="wtotem_chart wt_card wtotem-ss-disc">
                        <div class="wtotem_chart-first wtotem-ss-disc__header">
                            <h3 class="h3 wtotem_table__subject" ><?php echo \JText::_('WTOTEM_DISC_USAGE') ?>
                                <div class="wtotem_title-info__info wtotem-tooltip">
                                    <div class="wtotem-tooltip__content">
                                        <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_DISC_USAGE') ?></p>
                                        <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_DISC_USAGE_DESC') ?></p>
                                    </div>
                                </div>
                            </h3>
                        </div>
                        <div class="wtotem_state__line  wtotem-ss-disc__line"></div>

                        <div class="wtotem-ss-disc__content">
                            <?php if($variables['disc_usage']['total']):?>
                                <div class="wtotem-ss-disc__wrapper">
                                    <div id="disk-chart" class="wtotem_disk_chart"></div>
                                    <div class="wtotem-ss-disc__totals">
                                        <p class="wtotem-ss-disc__totals-caption"><?php echo \JText::_('WTOTEM_TOTAL') ?></p>
                                        <p class="wtotem-ss-disc__totals-value"><?php echo $variables['disc_usage']['total'] ?></p>
                                    </div>
                                </div>
                                <ul class="wtotem-ss-disc__legend">
                                    <li class="wtotem-ss-disc__legend-item wtotem-ss-disc__legend-item--use">
                                        <p class="wtotem-ss-disc__legend-value"><?php echo $variables['disc_usage']['used'] ?></p>
                                        <p class="wtotem-ss-disc__legend-caption"><?php echo \JText::_('WTOTEM_USE') ?></p>
                                    </li>
                                    <li class="wtotem-ss-disc__legend-item wtotem-ss-disc__legend-item--free">
                                        <p class="wtotem-ss-disc__legend-value"><?php echo $variables['disc_usage']['free'] ?></p>
                                        <p class="wtotem-ss-disc__legend-caption"><?php echo \JText::_('WTOTEM_FREE') ?></p>
                                    </li>
                                </ul>
                            <?php else: ?>

                                <section class="wtotem_reports-no-data" >
                                    <h2 class="h2 visually-hidden"><?php echo \JText::_('WTOTEM_NO_DATA') ?></h2>
                                    <p class="wtotem_reports-no-data__text">
	                                    <?php echo \JText::_('WTOTEM_NO_DATA') ?>
                                    </p>
                                </section>
                            <?php endif; ?>
                        </div>
                    </div>
                </section>

            </div>

        </div>

        <div class="wtotem_table__footer">
            <a target="_blank" href="https://wtotem.com/faq/#hs-chat-open" class="wtotem_table__link">
                <div class="wtotem_table__perfomance">
	                <?php echo \JText::_('WTOTEM_NEED_MORE_SUPPORT') ?>
                    <span><?php echo \JText::_('WTOTEM_LETS_TALK') ?></span>
                </div>
            </a>
        </div>
    </div>

	<?php if($variables['disc_chart']):?>
        <script>
            var disc_chart = <?php echo $variables['disc_chart'] ?>
        </script>
    <?php endif; ?>

</div>
