<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_first" id="scoring">
    <div class="wtotem_overall wt_card">
        <div class="wtotem_overall__title wtotem_title-info">
            <h3 class="h3 wtotem_title-info__title">
                <?php echo \JText::_('WTOTEM_OVERALL_SECURITY_GRADE'); ?>
                <div class="wtotem_title-info__info wtotem-tooltip">
                    <div class="wtotem-tooltip__content">
                        <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_SCORING_MODULE'); ?></p>
                        <p class="wtotem-tooltip__text">
	                        <?php echo \JText::_('WTOTEM_SCORING_MODULE_DESC'); ?>
                        </p>
                    </div>
                </div>
            </h3>
        </div>
        <div class="wtotem_overall__body">
            <div class="wtotem_overall__inner">
                <div class="wtotem_overall__rectangle wtotem_score_bg_<?php echo $variables['color'] ?>"><?php echo $variables['grade'] ?></div>
                <div class="wtotem_overall__figures wtotem_score_<?php echo $variables['color'] ?>"><?php echo $variables['total_score'] ?></div>
            </div>
            <p class="wtotem_overall__text">
	            <?php echo sprintf(\JText::_('WTOTEM_YOUR_SECURITY_GRADE'), $variables['is_higher_than']); ?>
            </p>
        </div>
    </div>

    <div class="wtotem_info wt_card">
        <div class="wtotem_info__item">
            <div class="wtotem_info__block">
                <div class="wtotem_info__subtitle"><?php echo \JText::_('WTOTEM_TESTED_ON'); ?></div>
                <div class="wtotem_info__info"><?php echo $variables['tested_on'] ?></div>
            </div>
            <div class="wtotem_info__block">
                <div class="wtotem_info__subtitle"><?php echo \JText::_('WTOTEM_SERVER_IP'); ?></div>
                <div class="wtotem_info__info"><?php echo $variables['server_ip'] ?></div>
            </div>
        </div>
        <div class="wtotem_info__item">
            <div class="wtotem_info__block">
                <div class="wtotem_info__subtitle"><?php echo \JText::_('WTOTEM_LOCATION'); ?></div>
                <div class="wtotem_info__info"><?php echo $variables['location'] ?></div>
            </div>
            <div class="wtotem_info__scoring arrow-right">
                <a href="https://wtotem.com/cabinet/site/<?php echo $variables['host_id'] ?>/scoring" target="_blank">
	                <?php echo \JText::_('WTOTEM_FULL_SCORING'); ?>
                </a>
            </div>
        </div>
    </div>
</div>
