<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<div class="wtotem_chart wt_card" id="server_status_ram">
    <div class="wtotem_chart-first">
        <div class="wtotem_chart-first__left">
            <h3 class="h3"><?php echo \JText::_('WTOTEM_RANDOM_ACCESS_MEMORY') ?>
                <div class="wtotem_title-info__info wtotem-tooltip">
                    <div class="wtotem-tooltip__content">
                        <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_RAM') ?></p>
                        <p class="wtotem-tooltip__text"><?php echo \JText::_('WTOTEM_SHOWS_THE_RAM_LOAD') ?></p>
                    </div>
                </div>
            </h3>
        </div>
        <?php $variables['service'] = 'ram'; ?>
        <?php include 'chart_periods.php'?>
    </div>

    <!-- RAM diagram -->
    <div id="ram_chart_wrap">
        <?php include 'ram_chart.php'?>
    </div>

    <!-- Server resources  -->
    <section class="wtotem-ss-info">
        <h3 class="h3 visually-hidden"></h3>
        <dl class="wtotem-ss-info__stats-list">
            <div class="wtotem-ss-info__column">
                <div class="wtotem-ss-info__stat-wrapper">
                    <dt>PHP version</dt>
                    <dd><?php echo $variables['info']['phpVersion'] ?></dd>
                </div>
                <div class="wtotem-ss-info__stat-wrapper">
                    <dt>PHP Server User</dt>
                    <dd><?php echo $variables['info']['phpServerUser'] ?></dd>
                </div>
                <div class="wtotem-ss-info__stat-wrapper">
                    <dt>Operation system</dt>
                    <dd title="<?php echo $variables['info']['osInfo'] ?>">
                        <?php echo substr( $variables['info']['osInfo'], 0, 20); ?>
                    </dd>
                </div>
            </div>
            <div class="wtotem-ss-info__column">
                <div class="wtotem-ss-info__stat-wrapper">
                    <dt>CPU Freq</dt>
                    <dd><?php echo $variables['info']['CpuFreq'] ?> MHz</dd>
                </div>
                <div class="wtotem-ss-info__stat-wrapper">
                    <dt>CPU count</dt>
                    <dd><?php echo $variables['info']['cpuCount'] ?></dd>
                </div>
                <div class="wtotem-ss-info__stat-wrapper">
                    <dt>CPU Model</dt>
                    <dd title="<?php echo $variables['info']['cpuModel'] ?>">
                        <?php echo substr( $variables['info']['cpuModel'], 0, 20); ?>
                    </dd>
                </div>
            </div>
            <div class="wtotem-ss-info__column">
                <div class="wtotem-ss-info__stat-wrapper">
                    <dt>CPU Family</dt>
                    <dd><?php echo $variables['info']['phpVersion'] ?></dd>
                </div>
            </div>
        </dl>
    </section>

</div>
