<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">
  jQuery(document).ready(function ($) {

    var ajaxurl = '<?php echo $variables['ajax_url']?>';

    let modules_ajax = (action, value, wrap, elem) => {
      jQuery(wrap).addClass('wtotem_loader_spinner');
      jQuery.post(
        ajaxurl,
        {
          ajax_action: 'settings',
          settings_action: action,
          value: value,
        }, function (response) {

          var data = JSON.parse(response);
          jQuery(wrap).removeClass('wtotem_loader_spinner');
          jQuery('#wtotem_notifications').html(data.notifications);
          if (!data.success) {
            elem.prop("checked", !elem.prop("checked"));
          }
        }
      );
    };

    jQuery('.module-list input').on('change', function (e) {
      modules_ajax('module_toggle', jQuery(this).val(), '.module-list', $(this));
    });

    jQuery('.notifications-list input').on('change', function (e) {
      modules_ajax('module_notifications', jQuery(this).val(), '.notifications-list', $(this));
    });

    let allow_deny_list_ajax = (action, input, wrap) => {
      jQuery(wrap).addClass('wtotem_loader_spinner');
      jQuery.post(
        ajaxurl,
        {
          ajax_action: 'settings',
          settings_action: action,
          value: jQuery(input).val(),
        }, function (response) {

          var data = JSON.parse(response);
          jQuery(wrap).removeClass('wtotem_loader_spinner');
          jQuery('#wtotem_notifications').html(data.notifications);
          if (data.content) {
            jQuery(input).val('');
            jQuery(wrap).html(data.content);
          }
        }
      );
    };

    jQuery('#allow_ip_submit').on('click', function (e) {
      allow_deny_list_ajax('add_allow_ip', '#allow_ip', '#wtotem_ip_allow_list');
    });

    jQuery('#deny_ip_submit').on('click', function (e) {
      allow_deny_list_ajax('add_deny_ip', '#deny_ip', '#wtotem_ip_deny_list');
    });

    jQuery('#allow_url_submit').on('click', function (e) {
      allow_deny_list_ajax('add_allow_url', '#allow_url', '#wtotem_allow_url');
    });

    let remove_ajax = (btn) => {
      jQuery(btn.data('wrap')).addClass('wtotem_loader_spinner');

      jQuery.post(
        ajaxurl,
        {
          ajax_action: 'remove',
          remove_action: btn.data('action'),
          id: btn.data('id'),
        }, function (response) {

          var data = JSON.parse(response);
          jQuery(btn.data('wrap')).removeClass('wtotem_loader_spinner');
          jQuery('#wtotem_notifications').html(data.notifications);
          if (data.content) {
            jQuery(data.wrap).html(data.content);
          }
        }
      );
    };

    jQuery('.wtotem_body').on('click', '.wtotem_remove_address', function (e) {
      remove_ajax(jQuery(this));
    });

    jQuery('#wtotem-allow-deny-multi-add-form').on('submit', function (e) {
      jQuery('.firewall-multi-adding__form').addClass('wtotem_loader_spinner');

      e.preventDefault();

      jQuery.post(
        ajaxurl,
        {
          ajax_action: 'settings',
          settings_action: 'add_ip_list',
          ips: jQuery('#wtotem_ips').val(),
          list: jQuery('#wtotem-ip-list-type').val(),
        }, function (response) {

          var data = JSON.parse(response);

          jQuery('.firewall-multi-adding__form').removeClass('wtotem_loader_spinner');
          jQuery('#wtotem_notifications').html(data.notifications);
          if (data.content) {

            jQuery(data.wrap).html(data.content);

            if (data.invalidIPs) {
              jQuery('#wtotem_ips').val(data.invalidIPs);
              jQuery('.wtotem_input__messages').html(
                '<span class="error_message"><?php echo \JText::_('WTOTEM_INCORRECT_IP_ADDRESSES') ?></span>'
              );
            } else {
              jQuery('#wtotem_ips').val('');
              jQuery('.wtotem_input__messages').html(
                '<span class="success_message"><?php echo \JText::_('WTOTEM_IP_ADDRESSES_SUCCESS_ADDED') ?></span>'
              );
            }
          }
        }
      );
    });

    jQuery('#waf_submit').on('click', function (e) {

      jQuery('#wtotem-waf-settings').addClass('wtotem_loader_spinner');
      let gdn = jQuery('#gdn').is(':checked'),
        dos = jQuery('#dos').is(':checked'),
        dos_limit = parseInt(jQuery('#dos_limit').val()),
        login_attempt = jQuery('#login_attempt').is(':checked'),
        login_attempt_limit = parseInt(jQuery('#login_attempt_limit').val());

      jQuery.post(
        ajaxurl,
        {
          ajax_action: 'settings',
          settings_action: 'waf_settings',
          gdn: gdn,
          dos: dos,
          dos_limit: dos_limit,
          login_attempt: login_attempt,
          login_attempt_limit: login_attempt_limit,
        }, function (response) {

          var data = JSON.parse(response);
          if (data.errors) {
            $('.wtotem_error_waf_settings').remove();
            $('#wtotem-waf-settings input').removeClass('wtotem_input_error');
            $.each(data.errors, function (index, value) {

              if (value) {
                $('#wtotem_' + index).append('<div class="is--status--error wtotem-mb-15 wtotem_error_waf_settings">' + value + '</div>')
                $('#' + index).addClass('wtotem_input_error');
              }
            });

          } else {
            $('.wtotem_error_waf_settings').remove();
            $('#wtotem-waf-settings input').removeClass('wtotem_input_error');
          }

          jQuery('#wtotem-waf-settings').removeClass('wtotem_loader_spinner');
          jQuery('#wtotem_notifications').html(data.notifications);
        }
      );

    });

    jQuery('#dos').on('change', function (e) {
      if (jQuery(this).is(':checked')) {
        jQuery('#wtotem_dos_limit').removeClass('visually-hidden');
      } else {
        jQuery('#wtotem_dos_limit').addClass('visually-hidden');
      }
    });

    jQuery('#login_attempt').on('change', function (e) {
      if (jQuery(this).is(':checked')) {
        jQuery('#wtotem_login_attempt_limit').removeClass('visually-hidden');
      } else {
        jQuery('#wtotem_login_attempt_limit').addClass('visually-hidden');
      }
    });

    jQuery('.open-popup').on('click', function (e) {
      jQuery.post(
        ajaxurl,
        {
          ajax_action: 'popup',
          popup_action: jQuery(this).data('action'),
        }, function (response) {
          var data = JSON.parse(response);

          if (data.success) {
            jQuery('.wtotem_body').append(data.content);
          }
        }
      );
    });
  });
</script>

<div class="wtotem_container">
    <div class="wtotem_holder">
        <div class="wtotem_holder__content">

            <section class="wt_card notifications-settings wtotem-mb-20">
                <div class="notifications-settings__header-wrapper">
                    <h3 class="h3 wtotem-mb-15"><?php echo \JText::_('WTOTEM_MODULE_SETTINGS') ?></h3>
                    <p class="notifications-settings__text">
                        <?php echo \JText::_('WTOTEM_MODULE_SETTINGS_DESC') ?>
                    </p>
                </div>
                <div style="position: relative;">
                    <ul class="togglers-list module-list">
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_FIREWALL') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_waf"
                                       value="<?php echo $variables['configs']['waf']['id'] ?>" <?php echo $variables['configs']['waf']['checked'] ?>/>

                                <label for="module_waf" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_ANTIVIRUS') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_av"
                                       value="<?php echo $variables['configs']['av']['id'] ?>" <?php echo $variables['configs']['av']['checked'] ?>/>

                                <label for="module_av" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_SERVER_STATUS') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_ss"
                                       value="<?php echo $variables['configs']['ss']['id'] ?>" <?php echo $variables['configs']['ss']['checked'] ?>/>

                                <label for="module_ss" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_AVAILABILITY_SSL') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_wa"
                                       value="<?php echo $variables['configs']['wa']['id'] ?>" <?php echo $variables['configs']['wa']['checked'] ?>/>

                                <label for="module_wa" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>

                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_DEFACE') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_dc"
                                       value="<?php echo $variables['configs']['dc']['id'] ?>" <?php echo $variables['configs']['dc']['checked'] ?>/>

                                <label for="module_dc" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_REPUTATION') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_rc"
                                       value="<?php echo $variables['configs']['rc']['id'] ?>" <?php echo $variables['configs']['rc']['checked'] ?>/>

                                <label for="module_rc" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_PORT_SCANNER') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_ps"
                                       value="<?php echo $variables['configs']['ps']['id'] ?>" <?php echo $variables['configs']['ps']['checked'] ?>/>

                                <label for="module_ps" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>

                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_TECHNOLOGIES') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="module_cms"
                                       value="<?php echo $variables['configs']['cms']['id'] ?>" <?php echo $variables['configs']['cms']['checked'] ?>/>

                                <label for="module_cms" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                    </ul>
                </div>
            </section>

            <div class="wt_card wtotem-mb-20 block-country-section">
                <div class="block-country-section__content">
                    <h3 class="h3 wtotem-mb-15"><?php echo \JText::_('WTOTEM_COUNTRY_BLOCKING') ?></h3>
                    <p class="notifications-settings__text"><?php echo \JText::_('WTOTEM_COUNTRY_BLOCKING_DESC') ?></p>
                </div>
                <button class="wtotem_control__btn wtotem_btn_wc" id="block_countries_btn" style="white-space: nowrap;"><?php echo \JText::_('WTOTEM_BLOCK_COUNTRIES') ?></button>
                <?php include 'country_blocking_modal.php'?>
            </div>

            <section class="wt_card wtotem-mb-20">
                <h3 class="h3 settings__header"><?php echo \JText::_('WTOTEM_IP_LISTS_CONFIGURATION') ?></h3>

                <div class="wtotem-tabs firewall-configuration">

                    <ul class="wtotem-tabs__caption firewall-configuration__list-types">
                        <li class="firewall-configuration__list-types-item active"><?php echo \JText::_('WTOTEM_ALLOW_LIST') ?></li>
                        <li class="firewall-configuration__list-types-item"><?php echo \JText::_('WTOTEM_DENY_LIST') ?></li>
                        <li class="firewall-configuration__list-types-item"><?php echo \JText::_('WTOTEM_URL_ALLOW_LIST') ?></li>
                    </ul>

                    <div class="wtotem-tabs__content active">
                        <div class="firewall-configuration__ip-adress-wrapper">
                            <input class="firewall-configuration__ip-adress" type="text" autocomplete="off" id="allow_ip"
                                     placeholder="<?php echo \JText::_('WTOTEM_TYPE_IPV4_OR_IPV6_ADDRESS_OR_A_MASK') ?>">
                            <button class="wtotem_control__btn wtotem_btn_wc" id="allow_ip_submit"
                                    type="submit"><?php echo \JText::_('WTOTEM_ADD_IP') ?></button>

                            <span class="firewall-configuration__multi-adding" data-list="white">
                                <?php echo \JText::_('WTOTEM_MULTI_ADDING_IP') ?>
                            </span>
                        </div>
                        <div id="wtotem_ip_allow_list">
                            <?php $variables['list'] = $variables['allow_list'] ?>
                            <?php include 'allow_deny_list.php'?>
                        </div>
                    </div>

                    <div class="wtotem-tabs__content">
                        <div class="firewall-configuration__ip-adress-wrapper">
                            <input class="firewall-configuration__ip-adress" type="text" autocomplete="off" id="deny_ip"
                                   placeholder="<?php echo \JText::_('WTOTEM_TYPE_IPV4_OR_IPV6_ADDRESS_OR_A_MASK') ?>">
                            <button class="wtotem_control__btn wtotem_btn_wc" id="deny_ip_submit" type="submit">
                              <?php echo \JText::_('WTOTEM_ADD_IP') ?>
                            </button>

                            <span class="firewall-configuration__multi-adding multi-adding-deny_list" data-list="black">
                                <?php echo \JText::_('WTOTEM_MULTI_ADDING_IP') ?>
                            </span>
                        </div>

                        <div id="wtotem_ip_deny_list">
                            <?php $variables['list'] = $variables['deny_list'] ?>
                            <?php include 'allow_deny_list.php'?>
                        </div>
                    </div>

                    <div class="wtotem-tabs__content">
                        <div class="firewall-configuration__ip-adress-wrapper">
                            <input class="firewall-configuration__ip-adress" type="text" autocomplete="off" id="allow_url"
                                   placeholder="path/">
                            <button class="wtotem_control__btn wtotem_btn_wc" id="allow_url_submit"
                                    type="submit"><?php echo \JText::_('WTOTEM_ADD_URL') ?></button>
                        </div>

                        <div id="wtotem_allow_url">
                            <?php $variables['list'] = $variables['url_list'] ?>
                            <?php include 'allow_url_list.php'?>
                        </div>
                    </div>
                </div>
            </section>

            <section class="wt_card notifications-settings wtotem-mb-20">
                <div class="notifications-settings__header-wrapper">
                    <h3 class="h3 wtotem-mb-15"><?php echo \JText::_('WTOTEM_NOTIFICATIONS') ?></h3>
                    <p class="notifications-settings__text">
                        <?php echo \JText::_('WTOTEM_SEND_ME_NOTIFICATIONS_ON_EMAIL') ?>
                    </p>
                </div>
                <div style="position: relative;">
                    <ul class="togglers-list notifications-list">
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_AVAILABILITY_SSL') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="notification_wa"
                                       value="<?php echo $variables['configs']['wa']['service'] ?>" <?php echo $variables['configs']['wa']['notification_checked'] ?>/>

                                <label for="notification_wa" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_ANTIVIRUS') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="notification_av"
                                       value="<?php echo $variables['configs']['av']['service'] ?>" <?php echo $variables['configs']['av']['notification_checked'] ?>/>

                                <label for="notification_av" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_DEFACE') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="notification_dc"
                                       value="<?php echo $variables['configs']['dc']['service'] ?>" <?php echo $variables['configs']['dc']['notification_checked'] ?>/>

                                <label for="notification_dc" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_REPUTATION') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="notification_rc"
                                       value="<?php echo $variables['configs']['rc']['service'] ?>" <?php echo $variables['configs']['rc']['notification_checked'] ?>/>

                                <label for="notification_rc" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_PORT_SCANNER') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="notification_ps"
                                       value="<?php echo $variables['configs']['ps']['service'] ?>" <?php echo $variables['configs']['ps']['notification_checked'] ?>/>

                                <label for="notification_ps" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                        <li class="togglers-list__item">
                            <p class="togglers-list__name"><?php echo \JText::_('WTOTEM_FIREWALL') ?></p>
                            <div class="wtotem_option__checkbox onoff">
                                <input type="checkbox" class="onoff__input" id="notification_waf"
                                       value="<?php echo $variables['configs']['waf']['service'] ?>" <?php echo $variables['configs']['waf']['notification_checked'] ?>/>

                                <label for="notification_waf" class="onoff__label">
                                    <span class="onoff__circle"></span>
                                </label>
                            </div>
                        </li>
                    </ul>
                </div>
            </section>


        </div>

        <div class="wtotem_holder__sidebar">

            <div class="wtotem_item">
                <div class="wtotem_control wt_card">
                    <h4 class="h4 wtotem_control__title">
                        <?php echo \JText::_('WTOTEM_AGENT_INSTALLATION') ?>
                    </h4>
                    <p class="notifications-settings__text">
                        <?php echo \JText::_('WTOTEM_IF_YOU_HAVE_ANY_PROBLEMS_REINSTALL_IT') ?>
                    </p>
                    <div class="wtotem_control__block">
                        <div class="wtotem_control__circle">
                            <img src="<?php echo $variables['av_status']['icon'] ?>" alt="<?php echo $variables['av_status']['name'] ?>"
                                 class="wtotem_control__check-mark"/>
                        </div>
                        <div class="wtotem_control__name">
                            <?php echo \JText::_('WTOTEM_ANTIVIRUS') ?>
                        </div>
                    </div>
                    <div class="wtotem_control__block">
                        <div class="wtotem_control__circle">
                            <img src="<?php echo $variables['waf_status']['icon'] ?>" alt="<?php echo $variables['waf_status']['name'] ?>"
                                 class="wtotem_control__check-mark"/>
                        </div>
                        <div class="wtotem_control__name">
                            <?php echo \JText::_('WTOTEM_FIREWALL') ?>
                        </div>
                    </div>
                    <div class="wtotem_button wtotem_control__btn open-popup" data-action="reinstall_agents">
                        <img src="<?php echo $variables['images_path'] ?>reload.svg" alt=""> <span><?php echo \JText::_('WTOTEM_REINSTALL_AGENTS') ?></span>
                    </div>
                    <div class="wtotem_button_link open-popup" data-action="logout">
                        <?php echo \JText::_('WTOTEM_API_KEY_CHANGE') ?>
                    </div>
                </div>
            </div>

            <div class="wtotem_item" id="wtotem-waf-settings">
                <div class="wtotem_control wt_card">
                    <h2 class="h2 wtotem-waf-settings-popup__title"><?php echo \JText::_('WTOTEM_FIREWALL_CONFIGURATION') ?></h2>
                    <div class="wtotem-waf-settings-popup__form" id="wtotem-waf-settings-form">
                        <div class="wtotem_firewall-section-menu-item">

                            <div class="wtotem_firewall-section-menu-item">
                                <div class="wt-flex wt-flex-middle"><strong><?php echo \JText::_('WTOTEM_DOS_LIMITS') ?></strong>
                                    <div>
                                        <div class="wtotem_title-info__info wtotem-tooltip wtotem-tooltip-top">
                                            <div class="wtotem-tooltip__content">
                                                <p class="wtotem-tooltip__header"><?php echo \JText::_('WTOTEM_DOS_LIMITS') ?></p>
                                                <p class="wtotem-tooltip__text">
                                                    <?php echo \JText::_('WTOTEM_DOS_LIMITS_DESC') ?>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="wtotem_option__checkbox onoff wtotem_switch-checkbox-with-text">

                                        <input type="checkbox" class="onoff__input" name="dos" id="dos" <?php echo $variables['waf_settings']['dos']['checked'] ?>/>
                                        <label for="dos" class="onoff__label">
                                            <span class="onoff__circle"></span>
                                        </label>

                                    </div>
                                </div>
                            </div>

                            <div id="wtotem_dos_limit" class="<?php echo $variables['waf_settings']['dos']['visually'] ?>">
                                <input class="wtotem-waf-settings-popup__input wtotem_settings_input" value="<?php echo $variables['waf_settings']['dos_limit'] ?>"
                                       type="number" min="500" max="100000" id="dos_limit" name="dos_limit" required>
                            </div>

                            <div class="wtotem_firewall-section-menu-item">
                                <div class="wt-flex wt-flex-middle"><strong><?php echo \JText::_('WTOTEM_LOGIN_ATTEMPTS') ?></strong>
                                    <div>
                                        <div class="wtotem_title-info__info wtotem-tooltip wtotem-tooltip-top">
                                            <div class="wtotem-tooltip__content">
                                                <p class="wtotem-tooltip__header" ><?php echo \JText::_('WTOTEM_LOGIN_ATTEMPTS') ?></p>
                                                <p class="wtotem-tooltip__text">
                                                    <?php echo \JText::_('WTOTEM_LOGIN_ATTEMPTS_DESC') ?>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="wtotem_option__checkbox onoff wtotem_switch-checkbox-with-text">

                                        <input type="checkbox" class="onoff__input" id="login_attempt"
                                               name="login_attempt" <?php echo $variables['waf_settings']['login_attempt']['checked'] ?> />
                                        <label for="login_attempt" class="onoff__label">
                                            <span class="onoff__circle"></span>
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <div id="wtotem_login_attempt_limit" class="<?php echo $variables['waf_settings']['login_attempt']['visually'] ?>">

                                <input class="wtotem-waf-settings-popup__input wtotem_settings_input" value="<?php echo $variables['waf_settings']['login_attempt_limit'] ?>"
                                       type="number" min="5" max="30" id="login_attempt_limit" name="login_attempt_limit" required>
                            </div>


                            <div class="wtotem_firewall-section-menu-item">
                                <div class="wt-flex wt-flex-middle"><strong>GDN</strong>
                                    <div>
                                        <div class="wtotem_title-info__info wtotem-tooltip wtotem-tooltip-top">
                                            <div class="wtotem-tooltip__content">
                                                <p class="wtotem-tooltip__header">GDN</p>
                                                <p class="wtotem-tooltip__text">
                                                    <?php echo \JText::_('WTOTEM_GDN_DESC') ?>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="wtotem_option__checkbox onoff wtotem_switch-checkbox-with-text">
                                        <input type="checkbox" class="onoff__input" id="gdn" name="gdn" <?php echo $variables['waf_settings']['gdn']['checked'] ?>/>

                                        <label for="gdn" class="onoff__label">
                                            <span class="onoff__circle"></span>
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <button class="wtotem_control__btn" id="waf_submit" type="submit"><?php echo \JText::_('WTOTEM_SAVE_SETTINGS') ?></button>

                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="firewall-multi-adding side-modal">
    <section class="side-modal__content wt_card">

        <div class="side-modal__header-wrapper">
            <h2 class="h2 side-modal__title"><?php echo \JText::_('WTOTEM_MULTI_ADDING_IP') ?></h2>
            <span class="firewall-multi-adding__close side-modal__close">
                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M12 0C5.38338 0 0 5.38292 0 12C0 18.6171 5.38338 24 12 24C18.6166 24 24 18.6171 24 12C24 5.38292 18.6166 0 12 0ZM12 23.0769C5.89246 23.0769 0.923077 18.1075 0.923077 12C0.923077 5.89246 5.89246 0.923077 12 0.923077C18.1075 0.923077 23.0769 5.89246 23.0769 12C23.0769 18.1075 18.1075 23.0769 12 23.0769Z" fill="#5E6977"/>
                    <path d="M16.4803 7.51987C16.2998 7.33941 16.0081 7.33941 15.8277 7.51987L12.0001 11.3474L8.17261 7.51987C7.99214 7.33941 7.70045 7.33941 7.51999 7.51987C7.33953 7.70033 7.33953 7.99202 7.51999 8.17248L11.3475 12L7.51999 15.8276C7.33953 16.008 7.33953 16.2997 7.51999 16.4802C7.60999 16.5702 7.72814 16.6154 7.8463 16.6154C7.96445 16.6154 8.08261 16.5702 8.17261 16.4802L12.0001 12.6526L15.8277 16.4802C15.9177 16.5702 16.0358 16.6154 16.154 16.6154C16.2721 16.6154 16.3903 16.5702 16.4803 16.4802C16.6608 16.2997 16.6608 16.008 16.4803 15.8276L12.6528 12L16.4803 8.17248C16.6608 7.99202 16.6608 7.70033 16.4803 7.51987Z" fill="#5E6977"/>
                </svg>
            </span>
        </div>

        <div class="firewall-multi-adding__form">
            <form action="" id="wtotem-allow-deny-multi-add-form">
                <input type="hidden" id="wtotem-ip-list-type" name="list">

                <div class="firewall-multi-adding__label-wrapper">
                    <label class="firewall-multi-adding__label" for="ip-list">
                        <?php echo \JText::_('WTOTEM_IP_LISTS_CONFIGURATION') ?>
                    </label>
                    <div class="wtotem_title-info__info wtotem-tooltip firewall-multi-adding__tooltip">
                        <div class="wtotem-tooltip__content wtotem-tooltip__content--top-center firewall-multi-adding__tooltip-content">
                            <p class="wtotem-tooltip__header firewall-multi-adding__tooltip-header"><?php echo \JText::_('WTOTEM_HOW_TO_USE') ?></p>
                            <p class="wtotem-tooltip__text">
                                <?php echo \JText::_('WTOTEM_IF_YOU_WANT_TO_ADD_SEVERAL_IP') ?>
                            </p>
                        </div>
                    </div>
                </div>
                <textarea name="ips" id="wtotem_ips" rows="10" class="firewall-multi-adding__input" placeholder="<?php echo \JText::_('WTOTEM_EXAMPLE') ?> 104.122.249.38, 104.122.249.39"></textarea>

                <p class="wtotem_input__messages"></p>
                <button class="wtotem_control__btn" id="ip_list_submit" type="submit"><?php echo \JText::_('WTOTEM_ADD_IP_LIST') ?></button>
            </form>
        </div>
    </section>
    <div class="side-modal__overlay"></div>
</div>