<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">

    jQuery(document).ready(function ($) {

        var ajaxurl = '<?php echo $variables['ajax_url']?>';

        jQuery('.wtotem_body').on('input', '#edit-from', function (e) {

            jQuery('#firewall_data').addClass('wtotem_loader_spinner');
            jQuery.post(ajaxurl, {
                ajax_action: 'waf_date_filter',
                date_from: jQuery(this).val(),

            }, function (response) {

              var data = JSON.parse(response);

                jQuery('#firewall_data').removeClass('wtotem_loader_spinner');
                jQuery('#waf_chart_wrap').html(data.chart);
                jQuery('#waf_logs_wrap').html(data.waf_logs);
                jQuery('#firewall_stats').html(data.waf_stats);

                if(data.has_next_page){
                    jQuery('.wtotem_more_btn_wrap').html(
                        '<div class="wtotem_more_btn" id="waf_load_more"><?php echo \JText::_('WTOTEM_LOAD_MORE') ?></div>'
                    );
                } else {
                    jQuery('#waf_load_more').remove();
                }

                jQuery('#wtotem_notifications').html(data.notifications);
            });
        });
    });

    window.addEventListener('load', function () {
        const calendarElement = document.querySelector("#edit-from");
        const calendarGroup = document.querySelector(".wtotem_chart__calendars");
        if(calendarElement) {
            setFlatpickr_(calendarElement,"#edit-from", "#edit-to", calendarGroup);
        }
    });

</script>
<div class="wtotem_waf_filter__wrapper wt_card">
    <div class="wtotem_chart-first">
        <div class="wtotem_chart-first__left">
            <div class="wtotem_chart-first__hack wtotem_chart-first__hack_attack">
                <span></span>
                <p><?php echo \JText::_('WTOTEM_SUSPICIOUS_EVENTS') ?></p>
            </div>
            <div class="wtotem_chart-first__hack wtotem_chart-first__hack_blocked">
                <span></span>
                <p><?php echo \JText::_('WTOTEM_BLOCKED') ?></p>
            </div>
        </div>

        <div class="wtotem_chart__calendars">
            <div class="wtotem_calendar-icon"></div>
            <input class="wtotem_calendar flatpickr flatpickr-input" type="text"
                   name="date_period" readonly="readonly" id="edit-from" placeholder="<?php echo \JText::_('WTOTEM_SELECT_DATE') ?>" />
            <div class="wtotem_calendar-connect">
                -
            </div>
            <input class="wtotem_calendar" type="text" id="edit-to" readonly="readonly" placeholder="<?php echo \JText::_('WTOTEM_SELECT_DATE') ?>" />
        </div>
            <?php $variables['service'] = 'waf'; ?>
			<?php include 'chart_periods.php'?>
    </div>
</div>
