<?php
/**
 * @package   wtotem
 * @copyright Copyright (c)2023 WebTotem
 * @license   GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

class com_wtotemInstallerScript {


	/**
	 * This method is called after a component is uninstalled.
	 *
	 * @param  \stdClass $parent - Parent object calling this method.
	 *
	 * @return void
	 */
	public function uninstall($parent) {

		$list = scandir( JPATH_SITE . '/' );

		foreach ( $list as $item ) {
				$target_item = JPATH_SITE . '/' . $item;
				$pattern = '/([a-zA-Z0-9_]{64}.av.php)|([a-zA-Z0-9_]{64}.am.php)|([a-zA-Z0-9_]{64}.waf.php)|(\.wtotem_[a-zA-Z0-9_]{12,16})/';

				if ( preg_match( $pattern, $target_item ) ) {
					if(is_dir($target_item)){
						if(\JFolder::exists($target_item) ) {
							\JFolder::delete($target_item);
						}
					} else{
						if(\JFile::exists($target_item) ) {
							\JFile::delete($target_item);
						}
					}
				}

		}

	}

}
